const t = {
  datasets: [
    "dct:publisher",
    "dct:accrualPeriodicity",
    "dct:accessRights",
    "dct:type",
    // singular URIs nested within other properties
    "vcard:hasEmail",
    // contact point
    "vcard:hasURL",
    // contect point
    "dext:isUsedBy",
    // isUsedBy
    "foaf:mbox",
    // creator
    "foaf:homepage",
    // creator
    "dct:format"
    // page
  ],
  distributions: [
    "dct:format",
    "dct:type",
    "dcat:mediaType",
    "dcatap:availability",
    "dcat:compressFormat",
    "dcat:packageFormat",
    "adms:status",
    // singular URIs nested within other properties
    "spdx:algorithm",
    // checksum
    "dcat:endpointURL",
    // accessservice
    "skos:exactMatch"
    // license
  ],
  catalogues: [
    "foaf:homepage",
    // homepage and creator
    "dct:publisher",
    "dct:isPartOf",
    // singular URIs nested within other properties
    "foaf:mbox",
    // creator
    "dct:format",
    // page
    "skos:exactMatch"
    // license
  ]
}, a = {
  datasets: [
    "dct:language",
    "dct:subject",
    "dcat:theme",
    "dct:spatial",
    "dct:source",
    "dcat:landingPage",
    "dct:relation",
    "dcat:qualifiedRelation",
    "prov:qualifiedAttribution",
    "dct:isReferencedBy",
    "prov:wasGeneratedBy",
    "dct:isVersionOf",
    "dct:hasVersion"
  ],
  distributions: [
    "dcat:accessURL",
    "dcat:downloadURL",
    "dct:language",
    "odrl:hasPolicy"
  ],
  catalogues: [
    "dct:hasPart",
    "dct:spatial",
    "dcat:catalog",
    "dct:language"
  ]
}, c = {
  datasets: [
    "dct:issued",
    "dct:modified",
    "dcat:spatialResolutionInMeters",
    // nested typed strings
    "dcat:endDate",
    "dcat:startDate"
  ],
  distributions: [
    "dct:issued",
    "dct:modified",
    "dcat:spatialResolutionInMeters",
    "dcat:byteSize"
  ],
  catalogues: []
}, e = {
  datasets: [
    "owl:versionInfo",
    // nested singulat strings
    "vcard:fn",
    // contactPoint
    "vcard:hasOrganizationName",
    // contactPoint
    "vcard:hasTelephone",
    // contactPoint
    "vcard:country_name",
    // hasAddress
    "vcard:locality",
    // hasAddress
    "vcard:postal_code",
    // hasAddress
    "vcard:street_address",
    // hasAddress
    "rdfs:label",
    // conformsTo and provenance
    "foaf:name"
    // creator
  ],
  distributions: [
    // nested singular string
    "spdx:checksumValue",
    //checksum
    "rdfs:label",
    // rights !!!
    "skos:prefLabel"
    //license
  ],
  catalogues: [
    // nested singular strings
    "rdfs:label",
    // conformsTo and rights
    "foaf:name",
    // creator
    "skos:prefLabel"
    // license
  ]
}, d = {
  datasets: [
    "dct:title",
    // also nested within page
    "dct:description",
    // also nested within page
    "dcat:keyword",
    "adms:versionNotes"
  ],
  distributions: [
    "dct:title",
    // also nested within page
    "dct:description"
    // also nested within page
  ],
  catalogues: [
    "dct:title",
    "dct:description"
  ]
}, s = {
  datasets: [
    "dcat:contactPoint",
    "dct:creator",
    "dext:metadataExtension",
    "dct:provenance",
    "dct:conformsTo",
    "foaf:page",
    "dct:temporal",
    "adms:identifier",
    // nested grouped properties
    "vcard:hasAddress",
    "skos:notation"
  ],
  distributions: [
    "foaf:page",
    "dcat:accessService",
    "spdx:checksum",
    "dct:conformsTo"
  ],
  catalogues: [
    "dct:creator",
    "dct:conformsTo"
  ]
}, o = {
  datasets: [],
  distributions: [
    "dct:license"
  ],
  catalogues: [
    "dct:license"
  ]
}, i = {
  "dct:temporal": "dct:PeriodOfTime",
  "dct:conformsTo": "dct:Standard",
  "foaf:page": "foaf:Document",
  "dct:provenance": "dct:ProvenanceStatement",
  "dext:metadataExtension": "dext:MetadataExtension",
  "spdx:checksum": "spdx:Checksum",
  "dcat:accessService": "dcat:DataService",
  "dct:license": "dct:LicenseDocument"
}, r = {
  // {'name': '', 'resource': ''} mainly needed for vocabulary data
  voc: [
    "dct:publisher",
    "dcat:theme",
    "dct:accrualPeriodicity",
    "dct:accessRights",
    "dct:type",
    "dct:format",
    "dcat:mediaType",
    "dcatap:availability",
    "dcat:compressFormat",
    "dcat:packageFormat",
    "spdx:algorithm",
    "dct:subject",
    "dct:language",
    "adms:status",
    "dct:spatial"
  ],
  // 'URI' mainly used for mail addresses
  string: [
    "vcard:hasEmail",
    "vcard:hasURL",
    "foaf:mbox",
    "skos:exactMatch",
    "foaf:homepage",
    "dext:isUsedBy",
    "dcat:endpointURL",
    "dct:isPartOf"
  ],
  // {'@id': ''} mainly used for repeated links
  id: [
    "dct:source",
    "dcat:accessURL",
    "dcat:downloadURL",
    "odrl:hasPolicy",
    "dct:hasPart",
    "dcat:catalog",
    "dct:source",
    "dcat:landingPage",
    "dct:relation",
    "dcat:qualifiedRelation",
    "prov:qualifiedAttribution",
    "dct:isReferencedBy",
    "prov:wasGeneratedBy",
    "dct:isVersionOf",
    "dct:hasVersion"
  ]
}, n = {
  singularURI: t,
  multipleURI: a,
  typedStrings: c,
  singularString: e,
  multilingualStrings: d,
  groupedProperties: s,
  additionalPropertyTypes: i,
  conditionalProperties: o,
  URIformat: r
};
export {
  n as default
};
//# sourceMappingURL=format-types.mjs.map
