import { FormKitSchemaDefinition } from '@formkit/core';

/**
 * Available properties for datasets.
 */
export type DcatApDatasetsProperty = 'datasetID' | 'overview' | 'politicalGeocodingLevelURI' | 'politicalGeocodingURI' | 'availabilityDE' | 'geocodingDescription' | 'legalBasis' | 'qualityProcessURI' | 'references' | 'contributor' | 'contributorID' | 'originator' | 'maintainer' | 'description' | 'title' | 'contactPoint' | 'subject' | 'keyword' | 'publisher' | 'spatial' | 'temporal' | 'theme' | 'accessRights' | 'creator' | 'conformsTo' | 'page' | 'accrualPeriodicity' | 'hasVersion' | 'isVersionOf' | 'source' | 'identifier' | 'isReferencedBy' | 'landingPage' | 'language' | 'admsIdentifier' | 'provenance' | 'qualifiedAttribution' | 'wasGeneratedBy' | 'qualifiedRelation' | 'relation' | 'issued' | 'modified' | 'spatialResolutionInMeters' | 'temporalResolution' | 'type' | 'versionInfo' | 'versionNotes' | 'catalog' | 'isUsedBy';
/**
 * Available properties for distributions.
 */
export type DcatApDistributionsProperty = 'accessURL' | 'licenseAttributionByText' | 'availabilityDisDE' | 'availability' | 'description' | 'format' | 'title' | 'byteSize' | 'conformsTo' | 'issued' | 'modified' | 'rights' | 'spatialResolutionInMeters' | 'temporalResolution' | 'mediaType' | 'downloadUrl' | 'accessService' | 'checksum' | 'compressFormat' | 'packageFormat' | 'page' | 'language' | 'licence' | 'conformsTo' | 'issued' | 'modified' | 'rights' | 'spatialResolutionInMeters' | 'temporalResolution' | 'type' | 'hasPolicy' | 'status';
export type DcatApCataloguesProperty = 'datasetID' | 'overview' | 'availabilityCatDE' | 'title' | 'description' | 'publisher' | 'language' | 'licence' | 'spatial' | 'homepage' | 'hasPart' | 'isPartOf' | 'rights' | 'catalog' | 'creator';
export type InputDefinition = {
    datasets: Record<DcatApDatasetsProperty, FormKitSchemaDefinition>;
    distributions: Record<DcatApDistributionsProperty, FormKitSchemaDefinition>;
    catalogues: Record<DcatApCataloguesProperty, FormKitSchemaDefinition>;
};
declare const dcatapProperties: InputDefinition;
export default dcatapProperties;
