import { App } from 'vue';
import { default as AutocompleteInput } from './components/AutocompleteInput.vue';
import { default as ConditionalInput } from './components/ConditionalInput.vue';
import { default as DataFetchingComponent } from './components/DataFetchingComponent.vue';
import { default as Dropup } from './components/Dropup.vue';
import { default as FileUpload } from './components/FileUpload.vue';
import { default as InfoSlot } from './components/InfoSlot.vue';
import { default as LanguageSelector } from './components/LanguageSelector.vue';
import { default as Navigation } from './components/Navigation.vue';
import { default as UniqueIdentifierInput } from './components/UniqueIdentifierInput.vue';
import { default as inputDefinitions } from '../form/inputDefinitions';
import { default as CatalogueOverview } from './views/OverviewPage/CatalogueOverview.vue';
import { default as DatasetOverview } from './views/OverviewPage/DatasetOverview.vue';
import { default as DistributionOverview } from './views/OverviewPage/DistributionOverview.vue';
import { default as PropertyEntry } from './views/OverviewPage/PropertyEntry.vue';
import { default as DistOverview } from './views/DistributionOverview.vue';
import { default as DraftsPage } from './views/DraftsPage.vue';
import { default as InputPage } from './views/InputPage.vue';
import { default as LinkedDataViewer } from './views/LinkedDataViewer.vue';
import { default as OverviewPage } from './views/OverviewPage.vue';
import { default as UserCataloguesPage } from './views/UserCataloguesPage.vue';
import { default as UserProfilePage } from './views/UserProfilePage.vue';
import { default as DataProviderInterface } from './DataProviderInterface.vue';
import { default as DpiMenu } from './DPIMenu.vue';
import { default as store } from './store/dpiStore';

export * from './composables/index';
export { config as dpiSpecConfig } from './config/dpi-spec-config';
export declare function registerComponents(app: App): void;
export { AutocompleteInput, ConditionalInput, DataFetchingComponent, Dropup, FileUpload, InfoSlot, LanguageSelector, Navigation, UniqueIdentifierInput };
export { CatalogueOverview, DatasetOverview, DistributionOverview, PropertyEntry };
export { DistOverview, DraftsPage, InputPage, LinkedDataViewer, OverviewPage, UserCataloguesPage, UserProfilePage };
export { DataProviderInterface, DpiMenu };
export { inputDefinitions, store };
export { injectionKey as injectionKeyRuntimeConfig } from '../services/runtimeConfigurationService';
