declare const module: {
    namespaced: boolean;
    state: {
        specification: {};
        specificationName: string;
    };
    actions: {
        setSpecification: (context: any, specification: any) => void;
        setSpecificationname: (context: any, specificationName: any) => void;
    };
    mutations: {
        setSpecification: (state: any, specification: any) => any;
        setSpecificationName: (state: any, specificationName: any) => any;
    };
    getters: {
        getSpecification: (state: any) => any;
        getSpecificationName: (state: any) => any;
    };
    modules: {
        formModule: {
            state: {
                schema: {
                    datasets: {};
                    distributions: {};
                    catalogues: {};
                };
                usersCatalogs: {};
            };
            getters: {
                getSchema: (state: any) => (property: any) => any;
            };
            actions: {
                createSchema({ commit, state, rootGetters }: {
                    commit: any;
                    state: any;
                    rootGetters: any;
                }, { property, page }: {
                    property: any;
                    page: any;
                }): void;
                translateSchema({ commit }: {
                    commit: any;
                }, { property, page }: {
                    property: any;
                    page: any;
                }): void;
                addCatalogOptions({ commit }: {
                    commit: any;
                }, { property, catalogs }: {
                    property: any;
                    catalogs: any;
                }): void;
            };
            mutations: {
                extractSchema(state: any, { pageProperties, propertyDefinitions, property, page }: {
                    pageProperties: any;
                    propertyDefinitions: any;
                    property: any;
                    page: any;
                }): void;
                translateSchemaProperties(state: any, { property, page }: {
                    property: any;
                    page: any;
                }): void;
                saveCatalogOptions(state: any, { property, catalogs }: {
                    property: any;
                    catalogs: any;
                }): void;
            };
        };
        conversionModule: {
            state: {
                datasets: {};
                distributions: never[];
                catalogues: {};
                deleteDistributionInline: boolean;
            };
            getters: {
                getRawValues: (state: any) => ({ property }: {
                    property: any;
                }) => any;
                getData: (state: any) => (property: any) => {};
            };
            actions: {
                saveFormValues({ commit }: {
                    commit: any;
                }, { property, values }: {
                    property: any;
                    values: any;
                }): void;
                saveLocalstorageValues({ commit }: {
                    commit: any;
                }, property: any): void;
                convertToInput({ commit, rootGetters }: {
                    commit: any;
                    rootGetters: any;
                }, { endpoint, token, property }: {
                    endpoint: any;
                    token: any;
                    property: any;
                }): Promise<void>;
                convertToRDF({ state, rootGetters }: {
                    state: any;
                    rootGetters: any;
                }, { property }: {
                    property: any;
                }): undefined;
                clearAll({ commit }: {
                    commit: any;
                }): void;
            };
            mutations: {
                saveFormValuesToStore(state: any, { property, values }: {
                    property: any;
                    values: any;
                }): void;
                saveFromLocalstorage(state: any, property: any): void;
                saveLinkedDataToStore(state: any, { property, data, specification }: {
                    property: any;
                    data: any;
                    specification: any;
                }): void;
                resetStore(state: any): void;
            };
        };
        navigationModule: {
            state: {
                navigation: {
                    datasets: never[];
                    distributions: never[];
                    catalogues: never[];
                };
            };
            getters: {
                getNavSteps: (state: any, _getters: any, _rootState: any, rootGetters: any) => (specification: any) => any;
            };
            actions: {};
            mutations: {};
        };
    };
};
export default module;
