import m from "n3";
import { has as u, isEmpty as f } from "lodash-es";
import S from "@rdfjs/dataset";
import i from "../../utils/general-helper.mjs";
import b from "../../utils/RDFconverter.mjs";
import D from "../../utils/inputConverter.mjs";
const v = {
  datasets: {},
  distributions: [],
  catalogues: {},
  deleteDistributionInline: !1
}, p = {
  /**
   * Returns raw values for given property, page and distribution
   * @param state 
   * @param0 Object containing property, page and distribution id
   * @returns Object conatining form values for given property, distribution and page
   */
  getRawValues: (t) => ({ property: e }) => t[e],
  /**
   * Provides property data
   * @param state 
   * @param property Property of wanted data
   * @returns Object containing all values of given property
   */
  getData: (t) => (e) => {
    let s;
    if (e === "distributions") {
      s = [];
      for (let a = 0; a < t[e].length; a += 1) {
        const o = i.mergeNestedObjects(t[e][a]);
        s.push(o);
      }
    } else
      s = i.mergeNestedObjects(t[e]);
    return s;
  }
}, F = {
  /**
   * Saves values from input form to vuex store
   * @param param0 
   * @param param1 Object containing property, page, distrbution id and form values
   */
  saveFormValues({ commit: t }, { property: e, values: s }) {
    t("saveFormValuesToStore", { property: e, values: s });
  },
  /**
   * Saving existing values from localStorage to vuex store
   * @param {*} param0
   * @param {*} param1 Object containing property (datasets/catalogues) and subpage (when curren tprofile is distributions)
   */
  saveLocalstorageValues({ commit: t }, e) {
    t("saveFromLocalstorage", e);
  },
  /**
   * Fetches data, writes it to a dataset and calls method for actual conversion to input format
   * @param param0 
   * @param param1 Object containing endpoint and token for data fetching as well as property
   */
  async convertToInput({ commit: t, rootGetters: e }, { endpoint: s, token: a, property: o }) {
    const n = e["dpiStore/getSpecification"], r = await i.fetchLinkedData(s, a).then((d) => d), g = new m.Parser(), c = S.dataset();
    await g.parse(r, (d, l, L) => {
      l && c.add(l);
    }), t("saveLinkedDataToStore", { property: o, data: c, specification: n });
  },
  /**
   * Merges store data and converts the given input values into RDF format
   * @param state 
   * @param property Object containing all values within nested objects for each page of the frontend
   * @returns Data values in RDF format
   */
  convertToRDF({ state: t, rootGetters: e }, { property: s }) {
    const a = e["dpiStore/getSpecification"], o = {
      datasets: i.mergeNestedObjects(t.datasets),
      distributions: [],
      catalogues: i.mergeNestedObjects(t.catalogues)
    };
    if (u(t.datasets, "Distributions") && u(t.datasets.Distributions, "distributionList") && !f(t.datasets.Distributions.distributionList))
      for (let r = 0; r < t.datasets.Distributions.distributionList.length; r++)
        o.distributions.push(i.mergeNestedObjects(t.datasets.Distributions.distributionList[r]));
    return b.convertToRDF(o, s, a);
  },
  /**
   * Calls mutation to clear values and store
   * @param param0 
   */
  clearAll({ commit: t }) {
    t("resetStore");
  }
}, I = {
  /**
   * Saves input values from form into vuex as well as into localStorage of browser
   * @param state 
   * @param param1 Object containing the property, page and values of input form
   */
  saveFormValuesToStore(t, { property: e, values: s }) {
    t[e] = s, localStorage.setItem(`dpi_${e}`, JSON.stringify(t[e]));
  },
  /**
  * Save input form values from localStorage into vuex store
  * @param {*} state
  * @param {String} property Property name the data should be saved to (datasets/distributions/catalogues)
  */
  saveFromLocalstorage(t, e) {
    let s;
    if (e === "catalogues" ? s = "dpi_catalogues" : s = "dpi_datasets", Object.keys(localStorage).includes(s)) {
      const a = JSON.parse(localStorage.getItem(s));
      e === "catalogues" ? t[e] = a : t.datasets = a;
    }
  },
  /**
   * Converts RDF data into input form data
   * @param state 
   * @param param1 Object containing data and property and state
   */
  saveLinkedDataToStore(t, { property: e, data: s, specification: a }) {
    const o = a;
    D.convertToInput(t, e, s, o), localStorage.setItem(`dpi_${e}`, JSON.stringify(t[e]));
  },
  resetStore(t) {
    localStorage.removeItem("dpi_datasets"), localStorage.removeItem("dpi_catalogues"), t.datasets = {}, t.catalogues = {}, localStorage.setItem("dpi_editmode", !1), localStorage.setItem("dpi_draftmode", !1);
  }
}, R = {
  state: v,
  getters: p,
  actions: F,
  mutations: I
};
export {
  R as default
};
//# sourceMappingURL=conversionStore.mjs.map
