import { isEmpty as r } from "lodash-es";
import l from "../../utils/translation-helper.mjs";
const m = {
  schema: {
    datasets: {},
    distributions: {},
    catalogues: {}
  },
  usersCatalogs: {}
}, h = {
  getSchema: (e) => (t) => e.schema[t]
}, d = {
  /**
   * Commits page properties and related DCATAP property definitions for current view for later building of schema
   * @param {Object} param0
   * @param {Object} param1 Object containing property (datasets/catalogues), page (step1/step2/step3) and subpage (distribution1/distribution2/distribution3) of current view
   */
  createSchema({ commit: e, state: t, rootGetters: a }, { property: n, page: c }) {
    const s = a["dpiStore/getSpecification"], o = s.pageConent[n][c], i = s.inputDefinition[n];
    e("extractSchema", { pageProperties: o, propertyDefinitions: i, property: n, page: c });
  },
  /**
   * Calls mutation function for translating translatable properties of schema
   * @param {*} param0
   */
  translateSchema({ commit: e }, { property: t, page: a }) {
    e("translateSchemaProperties", { property: t, page: a });
  },
  /**
   * Commits current property and users catalogs to mutation function
   * @param {*} param0
   * @param {*} param1 Object containing curren tproperty (datasets/catalogues) and all catalog options the user has permissions for
   */
  addCatalogOptions({ commit: e }, { property: t, catalogs: a }) {
    e("saveCatalogOptions", { property: t, catalogs: a });
  }
}, f = {
  /**
   * Builds schema based on given pageProperties and their definitions provided by propertyDefinition
   * @param {Object} state
   * @param {Object} param1 Object containing the properties which should be displayed within the view
   * (pageProperties) and the form definitions of the properties defined by DCATAP (propertyDefinition)
   */
  extractSchema(e, { pageProperties: t, propertyDefinitions: a, property: n, page: c }) {
    const s = [];
    for (let o = 0; o < t.length; o += 1) {
      const i = t[o];
      try {
        s.push(a[i]);
      } catch {
        console.warn(`DCATAP doens't include a property called: ${i}`);
      }
    }
    e.schema[n][c] = s;
  },
  /**
   * All translatable properties within the existing schema will be translated and added to the schema
   * @param {*} state
   * @param {String} property String defining current property (datasets/ distribution/ catalogues)
   */
  translateSchemaProperties(e, { property: t, page: a }) {
    l(e.schema[t][a], t);
  },
  /**
   * Saves all catalogs the current user has permissions for as options within the schema
   * @param {*} state
   * @param {*} param1 Object containing current property and the users catalog options
   */
  saveCatalogOptions(e, { property: t, catalogs: a }) {
    if (t === "datasets") {
      let n;
      for (let c in e.schema[t]) {
        const s = e.schema[t][c].filter((o) => o.name === "dcat:catalog");
        r(s) || (n = s[0]);
      }
      if (!r(n)) {
        const c = {};
        for (let s = 0; s < a.length; s += 1) {
          const o = a[s];
          c[o] = o;
        }
        n.options = c;
      }
    }
  }
}, S = {
  state: m,
  getters: h,
  actions: d,
  mutations: f
};
export {
  S as default
};
//# sourceMappingURL=formSchemaStore.mjs.map
