import { mapGetters as f, mapActions as S } from "vuex";
import { has as k } from "lodash-es";
import { appendCurrentLocaleToURL as v, getTranslationFor as b } from "../utils/helpers.mjs";
import y from "../widgets/AppLink.vue.mjs";
import "@unhead/vue";
import "merge-anything";
import "../configurations/config-schema/apiSchema.mjs";
import "../configurations/config-schema/authenticationSchema.mjs";
import "../configurations/config-schema/contentSchema.mjs";
import "../configurations/config-schema/routingSchema.mjs";
import "../configurations/config-schema/metadataSchema.mjs";
import "../configurations/config-schema/languagesSchema.mjs";
import "../configurations/config-schema/themesSchema.mjs";
import "../configurations/config-schema/trackerSchema.mjs";
import "../configurations/config-schema/configSchema.mjs";
import { resolveComponent as D, openBlock as s, createElementBlock as l, createElementVNode as i, toDisplayString as h, createTextVNode as m, createCommentVNode as u, Fragment as $, renderList as _, createBlock as n, withCtx as F } from "vue";
import "vue-router";
import "vue-i18n";
import { useDatasetDetailsSimilarDatasetsHead as P } from "../composables/head/useDatasetDetailsSimilarDatasetsHead.mjs";
import w from "../PvBadge/PvBadge.vue.mjs";
import x from "../_virtual/_plugin-vue_export-helper.mjs";
const L = {
  name: "datasetDetailsSimilarDatasets",
  components: {
    PvBadge: w,
    AppLink: y
  },
  data() {
    return {
      similarDatasetsFetched: !1,
      similarDatasetsPresent: !1,
      breakpoints: this.$env.content.datasetDetails.similarDatasets.breakpoints,
      useSimilarDatasets: this.$env.content.datasetDetails.similarDatasets.useSimilarDatasets
    };
  },
  computed: {
    // import store-getters
    ...f("datasetDetails", [
      "getID",
      "getLanguages",
      "getSimilarDatasetsRequested",
      "getSimilarDatasets",
      "getTitle",
      "getDescription"
    ]),
    similarDatasets() {
      return this.getSimilarDatasets;
    }
  },
  methods: {
    // import store-actions
    ...S("datasetDetails", [
      "loadDatasetDetails",
      "loadSimilarDatasets",
      "loadSimilarDatasetDetails"
    ]),
    has: k,
    appendCurrentLocaleToURL: v,
    getTranslationFor: b,
    /**
     * Update all similar datasets by adding title and description
     */
    updateSimilarDatasets() {
      this.similarDatasets.forEach(this.getDatasetDetails);
    },
    /**
     * Get dataset details by id
     */
    getDatasetDetails(t) {
      this.loadSimilarDatasetDetails(t.id);
    },
    showSimilarbadge(t, e) {
      return t >= this.breakpoints[e].start && t < this.breakpoints[e].end;
    },
    similarDatasetLink(t) {
      const e = t.lastIndexOf("/") + 1;
      return "../" + t.substring(e) + `?locale=${this.$route.query.locale}`;
    }
  },
  created() {
    this.$nextTick(() => {
      this.useSimilarDatasets && (this.$route.params.ds_id !== this.getID ? (this.$Progress.start(), this.loadDatasetDetails(this.$route.params.ds_id).then(() => {
        this.loadSimilarDatasets(this.$route.params.ds_id).then((t) => {
          this.$nextTick(() => {
            this.updateSimilarDatasets(), this.similarDatasetsFetched = !0, this.similarDatasetsPresent = t.length > 0;
          }), this.$Progress.finish();
        }).catch(() => {
          this.similarDatasetsFetched = !0, this.$Progress.fail();
        });
      }).catch(() => {
        this.$Progress.fail(), this.$router.replace({
          name: "NotFound",
          query: { locale: this.$route.query.locale, dataset: this.$route.params.ds_id }
        });
      })) : this.$route.params.ds_id !== this.getSimilarDatasetsRequested ? this.loadSimilarDatasets(this.$route.params.ds_id).then((t) => {
        this.$nextTick(() => {
          this.updateSimilarDatasets(), this.similarDatasetsFetched = !0, this.similarDatasetsPresent = t.length > 0;
        }), this.$Progress.finish();
      }).catch(() => {
        this.similarDatasetsFetched = !0, this.$Progress.fail();
      }) : (this.updateSimilarDatasets(), this.similarDatasetsFetched = !0, this.similarDatasetsPresent = this.similarDatasets.length > 0));
    });
  },
  setup() {
    P();
  }
}, T = { class: "mt-3" }, q = { class: "row" }, B = { class: "col-10 offset-1" }, C = {
  key: 0,
  class: "loading-spinner mx-auto"
}, I = { key: 1 }, N = {
  key: 2,
  class: "mt-4"
}, E = { class: "mt-3 border-bottom border-secondary" }, R = { class: "text-muted text-truncate" }, V = { class: "mb-3" };
function A(t, e, c, G, o, a) {
  const p = D("app-link"), d = D("PvBadge");
  return s(), l("div", T, [
    i("div", q, [
      i("div", B, [
        i("h2", null, h(t.$t("message.datasetDetails.subnav.similarDatasets")), 1),
        e[2] || (e[2] = m()),
        o.similarDatasetsFetched ? u("", !0) : (s(), l("div", C)),
        e[3] || (e[3] = m()),
        !o.similarDatasetsPresent && o.similarDatasetsFetched ? (s(), l("p", I, h(t.$t("message.similarDatasets.notFound")), 1)) : u("", !0),
        e[4] || (e[4] = m()),
        o.similarDatasetsPresent && o.similarDatasetsFetched ? (s(), l("div", N, [
          (s(!0), l($, null, _(a.similarDatasets, (r, g) => (s(), l("div", { key: g }, [
            i("div", E, [
              a.has(r, "uri") ? (s(), n(p, {
                key: 0,
                class: "text-dark font-weight-bold",
                to: a.similarDatasetLink(r.uri)
              }, {
                default: F(() => [
                  i("h3", null, h(a.getTranslationFor(r.title, t.$route.query.locale, t.getLanguages)), 1)
                ]),
                _: 2
              }, 1032, ["to"])) : u("", !0),
              e[0] || (e[0] = m()),
              i("p", R, [
                i("small", null, h(a.getTranslationFor(r.description, t.$route.query.locale, t.getLanguages)), 1)
              ]),
              e[1] || (e[1] = m()),
              i("div", V, [
                a.showSimilarbadge(r.similarity, "verySimilar") ? (s(), n(d, {
                  key: 0,
                  class: "p-1 ml-1 badge-success text-center text-white",
                  value: { label: t.$t("message.similarDatasets.verySimilar") }
                }, null, 8, ["value"])) : a.showSimilarbadge(r.similarity, "similar") ? (s(), n(d, {
                  key: 1,
                  class: "p-1 ml-1 badge-info text-center text-white",
                  value: { label: t.$t("message.similarDatasets.similar") }
                }, null, 8, ["value"])) : a.showSimilarbadge(r.similarity, "lessSimilar") ? (s(), n(d, {
                  key: 2,
                  class: "p-1 ml-1 badge-warning text-center text-white",
                  value: { label: t.$t("message.similarDatasets.lessSimilar") }
                }, null, 8, ["value"])) : (s(), n(d, {
                  key: 3,
                  class: "p-1 ml-1 badge-secondary text-center text-white",
                  value: { label: t.$t("message.similarDatasets.marginalSimilar") }
                }, null, 8, ["value"]))
              ])
            ])
          ]))), 128))
        ])) : u("", !0)
      ])
    ])
  ]);
}
const mt = /* @__PURE__ */ x(L, [["render", A]]);
export {
  mt as default
};
//# sourceMappingURL=DatasetDetailsSimilarDatasets.vue.mjs.map
