import { has as v, isNil as p } from "lodash-es";
import { getTranslationFor as y } from "../../utils/helpers.mjs";
import { mapGetters as f } from "vuex";
import I from "./DistributionDownloadAsModal.vue.mjs";
import { resolveComponent as s, openBlock as e, createElementBlock as a, createVNode as D, createTextVNode as l, createElementVNode as u, Fragment as T, renderList as A, createBlock as d, createCommentVNode as w } from "vue";
import "./Distributions.vue2.mjs";
import C from "../../_virtual/_plugin-vue_export-helper.mjs";
const L = {
  name: "Distributions",
  components: {
    DownloadAsModal: I
  },
  props: {
    openModal: Function,
    expandedDistributions: Array,
    expandedDistributionDescriptions: Array,
    displayedDistributions: Array,
    distributions: Object,
    setDistributionsDisplayCount: Function,
    isDistributionsAllDisplayed: Boolean,
    pages: Object,
    showDownloadUrls: Function,
    getDistributionFormat: Function,
    distributionFormatTruncated: Function,
    getDistributionTitle: Function,
    distributionVisibleContent: Array,
    distributionExpandedContent: Array,
    distributionDescriptionIsExpanded: Function,
    distributionDescriptionIsExpandable: Function,
    distributionIsExpanded: Function,
    showObject: Function,
    showNumber: Function,
    showDownloadDropdown: Function,
    showLicence: Function,
    showLicensingAssistant: Function,
    filterDateFormatEU: Function,
    showArray: Function,
    showObjectArray: Function,
    getVisualisationLink: Function,
    isOnlyOneUrl: Function,
    getDownloadUrl: Function,
    trackGoto: Function,
    showAccessUrls: Function,
    replaceHttp: Function,
    previewLinkCallback: Function,
    toggleDistribution: Function,
    toggleDistributionDescription: Function,
    increaseNumDisplayedDistributions: Function,
    nonOverflowingIncrementsForDistributions: Function,
    isUrlInvalid: Function,
    openIfValidUrl: Function,
    showTooltipVisualiseButton: Function,
    appendCurrentLocaleToURL: Function,
    showPublisher: Boolean,
    embed: Boolean
  },
  data() {
    return {
      componentKey: 0,
      downloadAllTop: this.$env.content.datasetDetails.bulkDownload.buttonPosition === "top",
      // previewedDistributionTitle: this.getDistributionTitle(this.displayedDistributions[0]),
      showDistibutionVisualisation: !1,
      previewedDistributionTitle: "",
      previewedDistDownloadUrl: "",
      previewedDistFormat: "",
      selectedDistribution: null,
      showVisualisation: this.$env.content.datasetDetails.distributions.showVisualisation
    };
  },
  computed: {
    ...f("datasetDetails", [
      "getLanguages",
      "getCatalog"
    ])
  },
  methods: {
    getDistributionDescription(n) {
      return v(n, "description") && !p(n.description) ? y(n.description, this.$route.query.locale, this.getLanguages) : "-";
    },
    selectDistribution(n) {
      this.previewedDistTitle = n.title, this.previewedDistDownloadUrl = n.url, this.previewedDistFormat = n.format, this.showDistibutionVisualisation = !0, this.componentKey += 1, this.$nextTick(() => {
        const t = this.$refs.visualisationComponent;
        t && t.$el.scrollIntoView({ behavior: "smooth" });
      });
    }
  }
}, V = { class: "mt-1 dsd-distributions" }, _ = { class: "row" }, k = { class: "list list-unstyled w-100" }, x = { class: "w-100 d-flex flex-row justify-content-end" };
function E(n, t, i, O, o, r) {
  const m = s("distributions-header"), h = s("distribution"), g = s("download-all-distributions"), F = s("download-as-modal"), U = s("distribution-visualisation-slot");
  return e(), a("div", V, [
    D(m, {
      getDistributionDescription: r.getDistributionDescription,
      openModal: i.openModal,
      getDistributionTitle: i.getDistributionTitle,
      showDownloadUrls: i.showDownloadUrls,
      isUrlInvalid: i.isUrlInvalid,
      showPublisher: i.showPublisher,
      embed: i.embed
    }, null, 8, ["getDistributionDescription", "openModal", "getDistributionTitle", "showDownloadUrls", "isUrlInvalid", "showPublisher", "embed"]),
    t[1] || (t[1] = l()),
    u("div", _, [
      u("ul", k, [
        (e(), a("div", {
          class: "distributions",
          key: `${i.expandedDistributions.length}--${i.expandedDistributionDescriptions.length}`
        }, [
          (e(!0), a(T, null, A(i.displayedDistributions, (c, b) => (e(), d(h, {
            onSelectForPreview: r.selectDistribution,
            key: `${b}--${c.id}`,
            distribution: c,
            fading: !i.distributions.displayAll && !i.isDistributionsAllDisplayed && b === i.distributions.displayCount - 1,
            distributions: i.distributions,
            setDistributionsDisplayCount: i.setDistributionsDisplayCount,
            getDistributionFormat: i.getDistributionFormat,
            distributionFormatTruncated: i.distributionFormatTruncated,
            getDistributionTitle: i.getDistributionTitle,
            distributionVisibleContent: i.distributionVisibleContent,
            distributionExpandedContent: i.distributionExpandedContent,
            distributionDescriptionIsExpanded: i.distributionDescriptionIsExpanded,
            distributionDescriptionIsExpandable: i.distributionDescriptionIsExpandable,
            getDistributionDescription: r.getDistributionDescription,
            distributionIsExpanded: i.distributionIsExpanded,
            showObject: i.showObject,
            showNumber: i.showNumber,
            showDownloadDropdown: i.showDownloadDropdown,
            showLicence: i.showLicence,
            showLicensingAssistant: i.showLicensingAssistant,
            filterDateFormatEU: i.filterDateFormatEU,
            showArray: i.showArray,
            showObjectArray: i.showObjectArray,
            getVisualisationLink: i.getVisualisationLink,
            isOnlyOneUrl: i.isOnlyOneUrl,
            getDownloadUrl: i.getDownloadUrl,
            trackGoto: i.trackGoto,
            showAccessUrls: i.showAccessUrls,
            replaceHttp: i.replaceHttp,
            previewLinkCallback: i.previewLinkCallback,
            toggleDistribution: i.toggleDistribution,
            toggleDistributionDescription: i.toggleDistributionDescription,
            increaseNumDisplayedDistributions: i.increaseNumDisplayedDistributions,
            nonOverflowingIncrementsForDistributions: i.nonOverflowingIncrementsForDistributions,
            isUrlInvalid: i.isUrlInvalid,
            openIfValidUrl: i.openIfValidUrl,
            showTooltipVisualiseButton: i.showTooltipVisualiseButton,
            appendCurrentLocaleToURL: i.appendCurrentLocaleToURL,
            embed: i.embed
          }, null, 8, ["onSelectForPreview", "distribution", "fading", "distributions", "setDistributionsDisplayCount", "getDistributionFormat", "distributionFormatTruncated", "getDistributionTitle", "distributionVisibleContent", "distributionExpandedContent", "distributionDescriptionIsExpanded", "distributionDescriptionIsExpandable", "getDistributionDescription", "distributionIsExpanded", "showObject", "showNumber", "showDownloadDropdown", "showLicence", "showLicensingAssistant", "filterDateFormatEU", "showArray", "showObjectArray", "getVisualisationLink", "isOnlyOneUrl", "getDownloadUrl", "trackGoto", "showAccessUrls", "replaceHttp", "previewLinkCallback", "toggleDistribution", "toggleDistributionDescription", "increaseNumDisplayedDistributions", "nonOverflowingIncrementsForDistributions", "isUrlInvalid", "openIfValidUrl", "showTooltipVisualiseButton", "appendCurrentLocaleToURL", "embed"]))), 128))
        ]))
      ]),
      t[0] || (t[0] = l()),
      u("div", x, [
        o.downloadAllTop ? w("", !0) : (e(), d(g, {
          key: 0,
          getDistributionDescription: r.getDistributionDescription,
          openModal: i.openModal,
          getDistributionTitle: i.getDistributionTitle,
          showDownloadUrls: i.showDownloadUrls,
          isUrlInvalid: i.isUrlInvalid
        }, null, 8, ["getDistributionDescription", "openModal", "getDistributionTitle", "showDownloadUrls", "isUrlInvalid"]))
      ])
    ]),
    t[2] || (t[2] = l()),
    D(F),
    t[3] || (t[3] = l()),
    o.showDistibutionVisualisation && o.showVisualisation ? (e(), d(U, {
      ref: "visualisationComponent",
      key: o.componentKey,
      class: "mb-4",
      title: n.previewedDistTitle,
      downloadUrl: o.previewedDistDownloadUrl,
      format: o.previewedDistFormat
    }, null, 8, ["title", "downloadUrl", "format"])) : w("", !0)
  ]);
}
const R = /* @__PURE__ */ C(L, [["render", E], ["__scopeId", "data-v-9fa8ef29"]]);
export {
  R as default
};
//# sourceMappingURL=Distributions.vue.mjs.map
