import V from "../../../widgets/AppLink.vue.mjs";
import D from "./DistributionVisualizeButton.vue.mjs";
import U from "./DistributionPreview.vue.mjs";
import g from "./DistributionDownload.vue.mjs";
import p from "./LinkedDataButtonsDropdown.vue.mjs";
import { mapGetters as F } from "vuex";
import { has as _, isNil as d } from "lodash-es";
import { resolveComponent as a, openBlock as l, createElementBlock as L, createBlock as r, withCtx as m, createTextVNode as e, toDisplayString as h, createCommentVNode as u, createVNode as y, createElementVNode as B } from "vue";
import "./DistributionActions.vue2.mjs";
import I from "../../../_virtual/_plugin-vue_export-helper.mjs";
const x = {
  name: "DistributionActions",
  components: { AppLink: V, LinkedDataButtonsDropdown: p, DistributionDownload: g, DistributionPreview: U, DistributionVisualizeButton: D },
  props: {
    distribution: Object,
    distributions: Object,
    isUrlInvalid: Function,
    getVisualisationLink: Function,
    showTooltipVisualiseButton: Function,
    previewLinkCallback: Function,
    openIfValidUrl: Function,
    showDownloadDropdown: Function,
    getDownloadUrl: Function,
    showAccessUrls: Function,
    isOnlyOneUrl: Function,
    trackGoto: Function,
    getDistributionFormat: Function,
    replaceHttp: Function
  },
  data() {
    return {
      showVisualisationButton: this.$env.content.datasetDetails.distributions.showVisualisation,
      visualisationLinkFormats: [
        "csv",
        "tsv",
        "ods",
        "xlsx",
        "xls"
      ]
    };
  },
  computed: {
    ...F("datasetDetails", [
      "getCatalog"
    ]),
    showValidateButton() {
      var i, n, t, o;
      return (o = (t = (n = (i = this.$env) == null ? void 0 : i.content) == null ? void 0 : n.datasetDetails) == null ? void 0 : t.distributions) == null ? void 0 : o.showValidationButton;
    },
    hidePreviewButton() {
      var i, n, t, o;
      return (o = (t = (n = (i = this.$env) == null ? void 0 : i.content) == null ? void 0 : n.datasetDetails) == null ? void 0 : t.distributions) == null ? void 0 : o.hidePreviewButton;
    }
  },
  methods: {
    showVisualisationLink(i) {
      var t, o, s;
      if (!_(i, "format.label") || d((t = i == null ? void 0 : i.format) == null ? void 0 : t.label) || d(i == null ? void 0 : i.downloadUrls[0]) && d(i == null ? void 0 : i.accessUrl[0]))
        return !1;
      const n = (s = (o = i == null ? void 0 : i.format) == null ? void 0 : o.id) == null ? void 0 : s.toLowerCase();
      return n && this.visualisationLinkFormats.includes(n);
    }
  }
}, C = { class: "d-flex flex-sm-row flex-md-column flex-lg-row justify-content-start justify-content-lg-end mt-2 text-md-right col text-left distribution-actions" };
function O(i, n, t, o, s, c) {
  const w = a("distribution-visualize-button"), b = a("distribution-preview"), f = a("distribution-download"), k = a("linked-data-buttons-dropdown"), v = a("app-link");
  return l(), L("div", C, [
    s.showVisualisationButton ? (l(), r(w, {
      key: 0,
      class: "distribution-action btn btn-sm visualise-btn pt-0",
      onDisplayVisualisation: n[0] || (n[0] = (A) => i.$emit("displayVisualisation", t.getDownloadUrl)),
      isUrlInvalid: t.isUrlInvalid,
      getVisualisationLink: t.getVisualisationLink,
      distribution: t.distribution,
      openIfValidUrl: t.openIfValidUrl
    }, {
      default: m(() => [
        e(h(i.$t("message.datasetDetails.preview")), 1)
      ]),
      _: 1
    }, 8, ["isUrlInvalid", "getVisualisationLink", "distribution", "openIfValidUrl"])) : u("", !0),
    n[2] || (n[2] = e()),
    !c.hidePreviewButton && i.getCatalog.is_part_of !== "erpd" && !s.showVisualisationButton ? (l(), r(b, {
      key: 1,
      isUrlInvalid: t.isUrlInvalid,
      getVisualisationLink: t.getVisualisationLink,
      distribution: t.distribution,
      openIfValidUrl: t.openIfValidUrl,
      previewLinkCallback: t.previewLinkCallback,
      class: "distribution-action"
    }, null, 8, ["isUrlInvalid", "getVisualisationLink", "distribution", "openIfValidUrl", "previewLinkCallback"])) : u("", !0),
    n[3] || (n[3] = e()),
    t.showDownloadDropdown(t.distribution) ? (l(), r(f, {
      key: 2,
      getDownloadUrl: t.getDownloadUrl,
      showAccessUrls: t.showAccessUrls,
      isOnlyOneUrl: t.isOnlyOneUrl,
      trackGoto: t.trackGoto,
      getDistributionFormat: t.getDistributionFormat,
      replaceHttp: t.replaceHttp,
      distribution: t.distribution,
      class: "distribution-action distribution-download"
    }, null, 8, ["getDownloadUrl", "showAccessUrls", "isOnlyOneUrl", "trackGoto", "getDistributionFormat", "replaceHttp", "distribution"])) : u("", !0),
    n[4] || (n[4] = e()),
    y(k, {
      distributions: t.distributions,
      distribution: t.distribution,
      class: "distribution-action"
    }, null, 8, ["distributions", "distribution"]),
    n[5] || (n[5] = e()),
    B("div", null, [
      c.showValidateButton ? (l(), r(v, {
        key: 0,
        class: "btn btn-sm validate-btn pt-0",
        to: { name: "DatasetDetailsQuality", query: { locale: i.$route.query.locale, validate: t.distribution.id } }
      }, {
        default: m(() => n[1] || (n[1] = [
          e(`
        Validate
      `)
        ])),
        _: 1
      }, 8, ["to"])) : u("", !0)
    ])
  ]);
}
const S = /* @__PURE__ */ I(x, [["render", O], ["__scopeId", "data-v-105c9e17"]]);
export {
  S as default
};
//# sourceMappingURL=DistributionActions.vue.mjs.map
