import { has as v, isNil as F } from "lodash-es";
import { mapGetters as N } from "vuex";
import T from "../../../widgets/Tooltip.vue.mjs";
import A from "../../../widgets/AppLink.vue.mjs";
import { truncate as R, formatDatetime as L, getTranslationFor as C } from "../../../utils/helpers.mjs";
import { resolveComponent as h, openBlock as n, createElementBlock as o, Fragment as c, renderList as w, createElementVNode as d, createVNode as b, withCtx as u, createTextVNode as e, toDisplayString as l, createBlock as D, createCommentVNode as r } from "vue";
import j from "../../../_virtual/_plugin-vue_export-helper.mjs";
const B = {
  name: "DistributionContent",
  components: {
    AppLink: A,
    Tooltip: T
  },
  props: [
    "contentList",
    "distribution",
    "distributionIsExpanded",
    "showLicensingAssistant",
    "showLicence",
    "filterDateFormatEU",
    "showArray",
    "showNumber",
    "showObject",
    "showObjectArray",
    "appendCurrentLocaleToURL"
  ],
  computed: {
    ...N("datasetDetails", [
      "getID"
    ])
  },
  methods: {
    has: v,
    isNil: F,
    truncate: R,
    formatDatetime: L,
    getTranslationFor: C,
    distributionRights(s) {
      const i = s.rights;
      return i.label ? i.label : i.resource;
    }
  }
}, O = {
  class: "col-12 table table-borderless table-responsive small pl-0 mt-2 mb-1 distribution-details-table",
  style: { "margin-left": "-10px" }
}, I = {
  key: 0,
  class: "distribution-license-tr distribution-content-tr"
}, _ = { class: "w-25 font-weight-bold" }, P = { key: 0 }, E = { key: 1 }, M = {
  key: 1,
  class: "distribution-licenseAttributionByText-tr distribution-content-tr"
}, S = { class: "w-25 font-weight-bold" }, U = {
  key: 2,
  class: "distribution-updateDate-tr distribution-content-tr"
}, z = { class: "w-25 font-weight-bold" }, V = { key: 0 }, q = { key: 1 }, G = { key: 2 }, H = {
  key: 3,
  class: "distribution-modificationDate-tr distribution-content-tr"
}, J = { class: "w-25 font-weight-bold" }, K = {
  key: 4,
  class: "distribution-releaseDate-tr distribution-content-tr"
}, Q = { class: "w-25 font-weight-bold" }, W = {
  key: 5,
  class: "distribution-language-tr distribution-content-tr"
}, X = { class: "w-25 font-weight-bold" }, Y = {
  key: 6,
  class: "distribution-availability-tr distribution-content-tr"
}, Z = { class: "w-25 font-weight-bold" }, x = {
  key: 7,
  class: "distribution-status-tr distribution-content-tr"
}, $ = { class: "w-25 font-weight-bold" }, p = { key: 0 }, tt = {
  key: 8,
  class: "distribution-rights-tr distribution-content-tr"
}, it = { class: "w-25 font-weight-bold" }, et = {
  key: 9,
  class: "distribution-mediaType-tr distribution-content-tr"
}, st = { class: "w-25 font-weight-bold" }, at = {
  key: 10,
  class: "distribution-byteSize-tr distribution-content-tr"
}, lt = { class: "w-25 font-weight-bold" }, nt = {
  key: 11,
  class: "distribution-checksum-tr distribution-content-tr"
}, ot = { class: "w-25 font-weight-bold" }, dt = {
  key: 12,
  class: "distribution-pages-tr distribution-content-tr"
}, rt = { class: "w-25 font-weight-bold" }, ut = {
  key: 13,
  class: "distribution-type-tr distribution-content-tr"
}, bt = { class: "w-25 font-weight-bold" }, mt = { key: 0 }, gt = {
  key: 14,
  class: "distribution-compressFormat-tr distribution-content-tr"
}, kt = { class: "w-25 font-weight-bold" }, yt = { key: 0 }, ft = { key: 1 }, ct = {
  key: 15,
  class: "distribution-packageFormat-tr distribution-content-tr"
}, wt = { class: "w-25 font-weight-bold" }, ht = { key: 0 }, Dt = { key: 1 }, vt = {
  key: 16,
  class: "distribution-hasPolicy-tr distribution-content-tr"
}, Ft = { class: "w-25 font-weight-bold" }, Nt = ["href"], Tt = {
  key: 17,
  class: "distribution-conformsTo-tr distribution-content-tr"
}, At = { class: "w-25 font-weight-bold" }, Rt = { key: 0 }, Lt = { key: 1 }, Ct = {
  key: 18,
  class: "distribution-spatialResolutionInMeters-tr distribution-content-tr"
}, jt = { class: "w-25 font-weight-bold" }, Bt = { key: 0 }, Ot = {
  key: 19,
  class: "distribution-temporalResolution-tr distribution-content-tr"
}, It = { class: "w-25 font-weight-bold" }, _t = {
  key: 20,
  class: "distribution-validate-tr distribution-content-tr"
}, Pt = { key: 0 };
function Et(s, i, t, Mt, St, a) {
  const k = h("tooltip"), y = h("app-link");
  return n(), o("table", O, [
    (n(!0), o(c, null, w(t.contentList, (m) => (n(), o(c, null, [
      m === "license" ? (n(), o("tr", I, [
        d("td", _, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.licence")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.license")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[9] || (i[9] = e()),
        t.showObject(t.distribution.licence) && t.showLicence(t.distribution.licence) ? (n(), o("td", P, [
          b(y, {
            to: t.distribution.licence.resource,
            target: "_blank",
            onClick: i[0] || (i[0] = (g) => s.$emit("track-link", t.distribution.licence.resource, "link"))
          }, {
            default: u(() => [
              e(l(t.distribution.licence.label ? t.distribution.licence.label : t.distribution.licence.resource), 1)
            ]),
            _: 1
          }, 8, ["to"]),
          i[6] || (i[6] = e()),
          b(y, {
            to: t.distribution.licence.resource,
            target: "_blank",
            "data-toggle": "tooltip",
            "data-placement": "top",
            title: t.distribution.licence.description,
            onClick: i[1] || (i[1] = (g) => s.$emit("track-link", t.distribution.licence.resource, "link"))
          }, {
            default: u(() => i[4] || (i[4] = [
              d("i", { class: "material-icons small-icon align-bottom text-dark" }, "info", -1)
            ])),
            _: 1
          }, 8, ["to", "title"]),
          i[7] || (i[7] = e()),
          t.showLicensingAssistant(t.distribution) ? (n(), D(y, {
            key: 0,
            to: t.distribution.licence.la_url,
            target: "_blank",
            onClick: i[2] || (i[2] = (g) => s.$emit("track-link", t.distribution.licence.la_url, "link"))
          }, {
            default: u(() => [
              e(l(s.$t("message.distributionLicense.licensingAssistant")), 1)
            ]),
            _: 1
          }, 8, ["to"])) : r("", !0),
          i[8] || (i[8] = e()),
          t.showLicensingAssistant(t.distribution) ? (n(), D(y, {
            key: 1,
            to: t.distribution.licence.la_url,
            target: "_blank",
            onClick: i[3] || (i[3] = (g) => s.$emit("track-link", t.distribution.licence.la_url, "link"))
          }, {
            default: u(() => i[5] || (i[5] = [
              d("i", { class: "material-icons small-icon align-bottom text-dark" }, "open_in_new", -1)
            ])),
            _: 1
          }, 8, ["to"])) : r("", !0)
        ])) : (n(), o("td", E, l(s.$t("message.distributionLicense.notProvided")), 1))
      ])) : r("", !0),
      i[33] || (i[33] = e()),
      m === "licenseAttributionByText" && a.has(t.distribution, "licenseAttributionByText") && !a.isNil(t.distribution.licenseAttributionByText) && !a.isNil(a.getTranslationFor(t.distribution.licenseAttributionByText)) ? (n(), o("tr", M, [
        d("td", S, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.licenseAttributionByText")
          }, {
            default: u(() => [
              e(l(s.$t("message.dataupload.distributions.licenseAttributionByText.label")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[10] || (i[10] = e()),
        d("td", null, l(a.getTranslationFor(t.distribution.licenseAttributionByText)), 1)
      ])) : r("", !0),
      i[34] || (i[34] = e()),
      m === "updateDate" ? (n(), o("tr", U, [
        d("td", z, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.updated")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.updated")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[11] || (i[11] = e()),
        a.has(t.distribution, "modificationDate") && !a.isNil(t.distribution.modificationDate) ? (n(), o("td", V, l(t.filterDateFormatEU(t.distribution.modificationDate)), 1)) : a.has(t.distribution, "releaseDate") && !a.isNil(t.distribution.releaseDate) ? (n(), o("td", q, l(t.filterDateFormatEU(t.distribution.releaseDate)), 1)) : (n(), o("td", G, `
          Unbekannt
        `))
      ])) : r("", !0),
      i[35] || (i[35] = e()),
      m === "modificationDate" && a.has(t.distribution, "modificationDate") && !a.isNil(t.distribution.modificationDate) ? (n(), o("tr", H, [
        d("td", J, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.updated")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.updated")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[12] || (i[12] = e()),
        d("td", null, l(t.filterDateFormatEU(t.distribution.modificationDate)), 1)
      ])) : r("", !0),
      i[36] || (i[36] = e()),
      m === "releaseDate" && a.has(t.distribution, "releaseDate") && !a.isNil(t.distribution.releaseDate) ? (n(), o("tr", K, [
        d("td", Q, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.created")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.created")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[13] || (i[13] = e()),
        d("td", null, l(t.filterDateFormatEU(t.distribution.releaseDate)), 1)
      ])) : r("", !0),
      i[37] || (i[37] = e()),
      m === "language" && a.has(t.distribution, "languages") && t.showArray(t.distribution.languages) ? (n(), o("tr", W, [
        d("td", X, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.language")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.languages")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[14] || (i[14] = e()),
        d("td", null, [
          (n(!0), o(c, null, w(t.distribution.languages.map((g) => g.label), (g, f) => (n(), o("div", { key: f }, [
            d("span", null, l(g), 1)
          ]))), 128))
        ])
      ])) : r("", !0),
      i[38] || (i[38] = e()),
      m === "availability" && a.has(t.distribution, "availability") && t.showObject(t.distribution.availability) && !a.isNil(t.distribution.availability.label) ? (n(), o("tr", Y, [
        d("td", Z, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.availability")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.availability")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[15] || (i[15] = e()),
        d("td", null, l(t.distribution.availability.label), 1)
      ])) : r("", !0),
      i[39] || (i[39] = e()),
      m === "status" && a.has(t.distribution, "status") && t.showObject(t.distribution.status) ? (n(), o("tr", x, [
        d("td", $, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.status")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.status")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[16] || (i[16] = e()),
        d("td", null, [
          a.isNil(t.distribution.status.label) ? r("", !0) : (n(), o("div", p, l(t.distribution.status.label), 1))
        ])
      ])) : r("", !0),
      i[40] || (i[40] = e()),
      m === "rights" && a.has(t.distribution, "rights") && t.showObject(t.distribution.rights) ? (n(), o("tr", tt, [
        d("td", it, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.rights")
          }, {
            default: u(() => [
              e(l(s.$t("message.datasetDetails.quality.rightsAvailability")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[17] || (i[17] = e()),
        d("td", null, [
          d("div", null, l(a.distributionRights(t.distribution)), 1)
        ])
      ])) : r("", !0),
      i[41] || (i[41] = e()),
      m === "mediaType" && a.has(t.distribution, "mediaType") && !a.isNil(t.distribution.mediaType) ? (n(), o("tr", et, [
        d("td", st, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.mediaType")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.mediaType")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[18] || (i[18] = e()),
        d("td", null, l(t.distribution.mediaType), 1)
      ])) : r("", !0),
      i[42] || (i[42] = e()),
      m === "byteSize" && a.has(t.distribution, "byteSize") && !a.isNil(t.distribution.byteSize) ? (n(), o("tr", at, [
        d("td", lt, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.byteSize")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.byteSize")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[19] || (i[19] = e()),
        d("td", null, l(t.distribution.byteSize), 1)
      ])) : r("", !0),
      i[43] || (i[43] = e()),
      m === "checksum" && a.has(t.distribution, "checksum") && !a.isNil(t.distribution.checksum) && a.has(t.distribution.checksum, "algorithm") && !a.isNil(t.distribution.checksum.algorithm) && a.has(t.distribution.checksum, "checksum_value") && !a.isNil(t.distribution.checksum.checksum_value) ? (n(), o("tr", nt, [
        d("td", ot, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.checksum")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.checksum")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[21] || (i[21] = e()),
        d("td", null, [
          d("div", null, l(t.distribution.checksum.algorithm), 1),
          i[20] || (i[20] = e()),
          d("div", null, l(t.distribution.checksum.checksum_value), 1)
        ])
      ])) : r("", !0),
      i[44] || (i[44] = e()),
      m === "pages" && a.has(t.distribution, "pages") && t.showObjectArray(t.distribution.pages) ? (n(), o("tr", dt, [
        d("td", rt, l(s.$t("message.metadata.pages")), 1),
        i[22] || (i[22] = e()),
        d("td", null, [
          (n(!0), o(c, null, w(t.distribution.pages, (g, f) => (n(), o("div", { key: f }, [
            b(y, {
              to: g.resource
            }, {
              default: u(() => [
                e(l(a.truncate(g.resource, 75)), 1)
              ]),
              _: 2
            }, 1032, ["to"])
          ]))), 128))
        ])
      ])) : r("", !0),
      i[45] || (i[45] = e()),
      m === "type" && a.has(t.distribution, "type") && t.showObject(t.distribution.type) ? (n(), o("tr", ut, [
        d("td", bt, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.type")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.type")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[23] || (i[23] = e()),
        d("td", null, [
          a.isNil(t.distribution.type.label) ? r("", !0) : (n(), o("div", mt, l(t.distribution.type.label), 1))
        ])
      ])) : r("", !0),
      i[46] || (i[46] = e()),
      m === "compressFormat" && a.has(t.distribution, "compressFormat") && t.showObject(t.distribution.compressFormat) ? (n(), o("tr", gt, [
        d("td", kt, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.compressFormat")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.compressFormat")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[25] || (i[25] = e()),
        d("td", null, [
          a.isNil(t.distribution.compressFormat.label) ? r("", !0) : (n(), o("div", yt, l(t.distribution.compressFormat.label), 1)),
          i[24] || (i[24] = e()),
          a.isNil(t.distribution.compressFormat.resource) ? r("", !0) : (n(), o("div", ft, l(t.distribution.compressFormat.resource), 1))
        ])
      ])) : r("", !0),
      i[47] || (i[47] = e()),
      m === "packageFormat" && a.has(t.distribution, "packageFormat") && t.showObject(t.distribution.packageFormat) ? (n(), o("tr", ct, [
        d("td", wt, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.packageFormat")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.packageFormat")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[27] || (i[27] = e()),
        d("td", null, [
          a.isNil(t.distribution.packageFormat.label) ? r("", !0) : (n(), o("div", ht, l(t.distribution.packageFormat.label), 1)),
          i[26] || (i[26] = e()),
          a.isNil(t.distribution.packageFormat.resource) ? r("", !0) : (n(), o("div", Dt, l(t.distribution.packageFormat.resource), 1))
        ])
      ])) : r("", !0),
      i[48] || (i[48] = e()),
      m === "hasPolicy" && a.has(t.distribution, "hasPolicy") && !a.isNil(t.distribution.hasPolicy) ? (n(), o("tr", vt, [
        d("td", Ft, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.distributions.hasPolicy")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.hasPolicy")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[28] || (i[28] = e()),
        d("td", null, [
          d("div", null, [
            d("a", {
              href: t.appendCurrentLocaleToURL(t.distribution.hasPolicy)
            }, l(a.truncate(t.distribution.hasPolicy, 75)), 9, Nt)
          ])
        ])
      ])) : r("", !0),
      i[49] || (i[49] = e()),
      m === "conformsTo" && a.has(t.distribution, "conformsTo") && t.showObjectArray(t.distribution.conformsTo) ? (n(), o("tr", Tt, [
        d("td", At, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.conformsTo")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.conformsTo")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[30] || (i[30] = e()),
        d("td", null, [
          (n(!0), o(c, null, w(t.distribution.conformsTo, (g, f) => (n(), o("div", { key: f }, [
            a.has(g, "label") && !a.isNil(g.label) ? (n(), o("div", Rt, l(s.$t("message.metadata.label")) + `:
              ` + l(g.label), 1)) : r("", !0),
            i[29] || (i[29] = e()),
            a.has(g, "resource") && !a.isNil(g.resource) ? (n(), o("div", Lt, [
              e(l(s.$t("message.metadata.resource")) + `:
              `, 1),
              b(y, {
                to: g.resource,
                target: "_blank",
                onClick: (Ut) => s.$emit("track-link", g.resource, "link")
              }, {
                default: u(() => [
                  e(l(a.truncate(g.resource, 75)), 1)
                ]),
                _: 2
              }, 1032, ["to", "onClick"])
            ])) : r("", !0)
          ]))), 128))
        ])
      ])) : r("", !0),
      i[50] || (i[50] = e()),
      m === "spatialResolutionInMeters" && a.has(t.distribution, "spatialResolutionInMeters") ? (n(), o("tr", Ct, [
        d("td", jt, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.spatialResolutionInMeters")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.spatialResolutionInMeters.label")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[31] || (i[31] = e()),
        d("td", null, [
          t.showNumber(t.distribution.spatialResolutionInMeters) ? (n(), o("div", Bt, l(s.$t("message.metadata.spatialResolutionInMeters.value", { number: t.distribution.spatialResolutionInMeters })), 1)) : r("", !0)
        ])
      ])) : r("", !0),
      i[51] || (i[51] = e()),
      m === "temporalResolution" && a.has(t.distribution, "temporalResolution") && t.showArray(t.distribution.temporalResolution) ? (n(), o("tr", Ot, [
        d("td", It, [
          b(k, {
            title: s.$t("message.tooltip.datasetDetails.temporalResolution")
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.temporalResolution")), 1)
            ]),
            _: 1
          }, 8, ["title"])
        ]),
        i[32] || (i[32] = e()),
        d("td", null, [
          (n(!0), o(c, null, w(t.distribution.temporalResolution, (g, f) => (n(), o("div", { key: f }, l(a.formatDatetime(g)), 1))), 128))
        ])
      ])) : r("", !0),
      i[52] || (i[52] = e()),
      m === "validate" ? (n(), o("tr", _t, [
        this.$env.content.datasetDetails.distributions.showValidationButton ? (n(), o("td", Pt, [
          b(y, {
            class: "ecl-button--secondary row pt-0 pb-0 pl-4 pr-4 mt-2 text-decoration-none",
            to: { path: `${s.getID}/quality/`, query: Object.assign({}, { locale: s.$route.query.locale }) }
          }, {
            default: u(() => [
              e(l(s.$t("message.metadata.validate")), 1)
            ]),
            _: 1
          }, 8, ["to"])
        ])) : r("", !0)
      ])) : r("", !0)
    ], 64))), 256))
  ]);
}
const Qt = /* @__PURE__ */ j(B, [["render", Et]]);
export {
  Qt as default
};
//# sourceMappingURL=DistributionContent.vue.mjs.map
