import { has as s, isNil as n } from "lodash-es";
import m from "./DistributionDescription.vue.mjs";
import w from "./DistributionExpandedContent.vue.mjs";
import D from "./DistributionVisibleContent.vue.mjs";
import g from "./DistributionExpand.vue.mjs";
import { resolveComponent as o, openBlock as x, createElementBlock as p, createElementVNode as l, toDisplayString as y, createTextVNode as r, createVNode as a } from "vue";
import E from "../../../_virtual/_plugin-vue_export-helper.mjs";
const L = {
  name: "DistributionDetails",
  components: {
    DistributionExpand: g,
    DistributionVisibleContent: D,
    DistributionExpandedContent: w,
    DistributionDescription: m
  },
  props: [
    "getDistributionTitle",
    "distribution",
    "distributions",
    "distributionDescriptionIsExpanded",
    "getDistributionDescription",
    "toggleDistributionDescription",
    "distributionDescriptionIsExpandable",
    "distributionIsExpanded",
    "distributionVisibleContent",
    "distributionExpandedContent",
    "showLicensingAssistant",
    "showLicence",
    "filterDateFormatEU",
    "showArray",
    "showNumber",
    "showObject",
    "showObjectArray",
    "appendCurrentLocaleToURL",
    "toggleDistribution"
  ],
  computed: {
    distributionVisibleExpandedContent() {
      return [...new Set(this.distributionVisibleContent.concat(this.distributionExpandedContent))];
    },
    distributionExtraContent() {
      return this.distributionExpandedContent.filter((t) => !this.distributionVisibleContent.includes(t));
    }
  },
  methods: {
    distributionCanShowMore(t) {
      return this.distributionExtraContent.reduce((i, e) => {
        switch (e) {
          case "license":
            return i || s(t, "licence");
          case "licenseAttributionByText":
            return i || s(t, "licenseAttributionByText") && !n(t.licenseAttributionByText) && !n(getTranslationFor(t.licenseAttributionByText));
          case "modificationDate":
            return i || s(t, "modificationDate") && !n(t.modificationDate);
          case "releaseDate":
            return i || s(t, "releaseDate") && !n(t.releaseDate);
          case "availability":
            return i || s(t, "availability") && this.showObject(t.availability) && !n(t.availability.label);
          case "status":
            return i || s(t, "status") && this.showObject(t.status);
          case "rights":
            return i || s(t, "rights") && this.showObject(t.rights);
          case "mediaType":
            return i || s(t, "mediaType") && !n(t.mediaType);
          case "byteSize":
            return i || s(t, "byteSize") && !n(t.byteSize);
          case "checksum":
            return i || s(t, "checksum") && !n(t.checksum) && s(t.checksum, "algorithm") && !n(t.checksum.algorithm) && s(t.checksum, "checksum_value") && !n(t.checksum.checksum_value);
          case "pages":
            return i || s(t, "pages") && this.showObjectArray(t.pages);
          case "languages":
            return i || s(t, "languages") && this.showArray(t.languages);
          case "compressFormat":
            return i || s(t, "compressFormat") && this.showObject(t.compressFormat);
          case "packageFormat":
            return i || s(t, "packageFormat") && this.showObject(t.packageFormat);
          case "hasPolicy":
            return i || s(t, "hasPolicy") && !n(t.hasPolicy);
          case "conformsTo":
            return i || s(t, "conformsTo") && this.showObjectArray(t.conformsTo);
          case "spatialResolutionInMeters":
            return i || s(t, "spatialResolutionInMeters") && !n(t.spatialResolutionInMeters);
          case "temporalResolution":
            return i || s(t, "temporalResolution") && this.showArray(t.temporalResolution);
          default:
            return i;
        }
      }, !1);
    }
  }
}, f = { class: "flex-grow-1 d-flex distribution-details" }, A = { class: "col-sm-12 col-md-9 col-lg-7" }, C = { class: "m-0" };
function _(t, i, e, j, I, c) {
  const d = o("distribution-description"), u = o("distribution-expanded-content"), b = o("distribution-visible-content"), h = o("distribution-expand");
  return x(), p("div", f, [
    l("div", A, [
      l("h3", C, y(e.getDistributionTitle(e.distribution)), 1),
      i[0] || (i[0] = r()),
      a(d, {
        distribution: e.distribution,
        distributions: e.distributions,
        distributionDescriptionIsExpanded: e.distributionDescriptionIsExpanded,
        getDistributionDescription: e.getDistributionDescription,
        toggleDistributionDescription: e.toggleDistributionDescription,
        distributionDescriptionIsExpandable: e.distributionDescriptionIsExpandable
      }, null, 8, ["distribution", "distributions", "distributionDescriptionIsExpanded", "getDistributionDescription", "toggleDistributionDescription", "distributionDescriptionIsExpandable"]),
      i[1] || (i[1] = r()),
      a(u, {
        contentList: c.distributionVisibleExpandedContent,
        distribution: e.distribution,
        distributionIsExpanded: e.distributionIsExpanded,
        showLicensingAssistant: e.showLicensingAssistant,
        showLicence: e.showLicence,
        filterDateFormatEU: e.filterDateFormatEU,
        showArray: e.showArray,
        showNumber: e.showNumber,
        showObject: e.showObject,
        showObjectArray: e.showObjectArray,
        appendCurrentLocaleToURL: e.appendCurrentLocaleToURL
      }, null, 8, ["contentList", "distribution", "distributionIsExpanded", "showLicensingAssistant", "showLicence", "filterDateFormatEU", "showArray", "showNumber", "showObject", "showObjectArray", "appendCurrentLocaleToURL"]),
      i[2] || (i[2] = r()),
      a(b, {
        contentList: e.distributionVisibleContent,
        distribution: e.distribution,
        distributionIsExpanded: e.distributionIsExpanded,
        showLicensingAssistant: e.showLicensingAssistant,
        showLicence: e.showLicence,
        filterDateFormatEU: e.filterDateFormatEU,
        showArray: e.showArray,
        showNumber: e.showNumber,
        showObject: e.showObject,
        showObjectArray: e.showObjectArray,
        appendCurrentLocaleToURL: e.appendCurrentLocaleToURL
      }, null, 8, ["contentList", "distribution", "distributionIsExpanded", "showLicensingAssistant", "showLicence", "filterDateFormatEU", "showArray", "showNumber", "showObject", "showObjectArray", "appendCurrentLocaleToURL"]),
      i[3] || (i[3] = r()),
      a(h, {
        distribution: e.distribution,
        distributionCanShowMore: c.distributionCanShowMore,
        toggleDistribution: e.toggleDistribution,
        distributionIsExpanded: e.distributionIsExpanded
      }, null, 8, ["distribution", "distributionCanShowMore", "toggleDistribution", "distributionIsExpanded"])
    ])
  ]);
}
const N = /* @__PURE__ */ E(L, [["render", _]]);
export {
  N as default
};
//# sourceMappingURL=DistributionDetails.vue.mjs.map
