import K from "../../widgets/AppLink.vue.mjs";
import w from "../../widgets/Tooltip.vue.mjs";
import { isNil as c, isArray as g } from "lodash-es";
import { showByType as x } from "./typeCheckers.mjs";
import N from "./ValuesList.vue.mjs";
import { mapGetters as S } from "vuex";
import _ from "../../filters/dateFilters.mjs";
import { truncate as j, getTranslationFor as V } from "../../utils/helpers.mjs";
import { resolveComponent as f, openBlock as a, createElementBlock as i, createElementVNode as b, createVNode as h, withCtx as k, createTextVNode as o, toDisplayString as d, createCommentVNode as u, Fragment as T, renderList as v, createBlock as B } from "vue";
import "./DatasetDetailsProperty.vue2.mjs";
import E from "../../_virtual/_plugin-vue_export-helper.mjs";
const O = {
  name: "DatasetDetailsProperty",
  props: {
    type: String,
    // Can be any of the types recognized in typeCheckers.ts
    translate: String | Array,
    // i18n key for the tooltip and label string values (if not given, name is used!)
    name: String,
    // Key to extract the value from the Datasets store
    propertyFields: String,
    // Comma-separated keys for extracting data from an object
    itemstyles: String,
    // Styles to apply to an object key-value block
    track: String,
    // Comma-separated keys for tracking
    preTransform: Function,
    // Transform raw data from dataset service
    transform: Function
    // Transform data after preparing by this.value
  },
  components: {
    Tooltip: w,
    AppLink: K,
    ValuesList: N
  },
  computed: {
    ...S("datasetDetails", [
      "getProperty"
    ]),
    labelDisplay() {
      const e = ["message.tooltip.datasetDetails", "message.metadata"];
      let t;
      return this.translate ? (t = this.translate.split(","), t.length === 1 && t.push(t[0])) : t = [this.name, this.name], t.map((r, n) => this.interpretTranslateKey(r, e[n]));
    },
    data() {
      let e = this.getProperty(this.name);
      return this.name === "languages" && e.sort((t, r) => t.id < r.id ? -1 : t.id > r.id ? 1 : 0), e;
    },
    preparedFields() {
      var e;
      return (e = this.propertyFields) == null ? void 0 : e.split(",").map((t) => t.split(":"));
    },
    preparedTrack() {
      var e;
      return (e = this.track) == null ? void 0 : e.split(",");
    },
    value() {
      let e = this.data;
      switch (this.preTransform && (e = this.preTransform(e)), this.type) {
        case "date":
          e = _.formatEU(e);
          break;
        case "links":
          e = this.data.map((t) => {
            if (t) {
              const r = typeof t == "string" ? t : t.resource, n = typeof t == "string" ? t : t.label || t.id || t.resource;
              return { link: r, label: n };
            }
          });
          break;
        case "object":
          e = this.prepareObject(this.data);
          break;
        case "objects":
          e = this.data.map((t) => this.prepareObject(t));
          break;
        case "translation":
          e = this.getTranslationFor(e, this.$route.query.locale, ["en"]);
          break;
        default:
          this.type.startsWith("first") && (e = this.data[0]);
      }
      return this.transform && (e = this.transform(e)), e;
    },
    show() {
      return x(this.type, this.data);
    }
  },
  methods: {
    isNil: c,
    isArray: g,
    truncate: j,
    getTranslationFor: V,
    dateValue() {
      return _.formatEU(this.value);
    },
    prepareObject(e) {
      let t = this.preparedFields ?? Object.keys(e).map((r) => [r]);
      return t = t.filter((r) => !c(e[r[0]])), t.map((r) => {
        let n = e[r[0]];
        g(n) || (n = [n]);
        const p = { key: r[0], value: n };
        return r[1] !== void 0 && (p.type = r[1]), r[2] !== void 0 && (p.translation = r[2]), p;
      });
    },
    interpretTranslateKey(e, t) {
      return e === "" ? "" : e.startsWith("/") ? `${this.i18n.global.t(e.substring(1))}:` : e.startsWith("'") ? e.substring(1, e.length - 1) : `${this.i18n.global.t(`${t}.${e}`)}:`;
    }
  }
}, P = { key: 0 }, A = { class: "w-25 text-break font-weight-bold" }, C = { key: 0 }, L = { key: 1 }, W = ["href"], I = { key: 2 }, U = { key: 1 }, q = { key: 3 }, G = { key: 4 };
function z(e, t, r, n, p, s) {
  const D = f("tooltip"), F = f("app-link"), y = f("values-list");
  return s.show ? (a(), i("tr", P, [
    b("td", A, [
      h(D, {
        title: s.labelDisplay[0]
      }, {
        default: k(() => [
          o(d(s.labelDisplay[1]), 1)
        ]),
        _: 1
      }, 8, ["title"])
    ]),
    t[1] || (t[1] = o()),
    ["string", "date", "number", "first:number", "translation"].includes(r.type) ? (a(), i("td", C, d(s.value), 1)) : u("", !0),
    t[2] || (t[2] = o()),
    r.type === "uri" ? (a(), i("td", L, [
      b("a", { href: s.value }, d(s.value), 9, W)
    ])) : u("", !0),
    t[3] || (t[3] = o()),
    r.type === "links" ? (a(), i("td", I, [
      (a(!0), i(T, null, v(s.value, (l, m) => (a(), i("div", { key: m }, [
        !s.isNil(l) && l.link && r.name !== "languages" ? (a(), B(F, {
          key: 0,
          to: l.link
        }, {
          default: k(() => [
            o(d(s.truncate(l.label, 75)), 1)
          ]),
          _: 2
        }, 1032, ["to"])) : u("", !0),
        t[0] || (t[0] = o()),
        !s.isNil(l) && !l.link || r.name === "languages" ? (a(), i("div", U, d(s.truncate(l.label, 75)), 1)) : u("", !0)
      ]))), 128))
    ])) : u("", !0),
    t[4] || (t[4] = o()),
    r.type === "object" ? (a(), i("td", q, [
      h(y, {
        values: s.value,
        interpretTranslateKey: s.interpretTranslateKey,
        itemstyles: r.itemstyles
      }, null, 8, ["values", "interpretTranslateKey", "itemstyles"])
    ])) : u("", !0),
    t[5] || (t[5] = o()),
    r.type === "objects" ? (a(), i("td", G, [
      (a(!0), i(T, null, v(s.value, (l, m) => (a(), i("div", { key: m }, [
        h(y, {
          values: l,
          interpretTranslateKey: s.interpretTranslateKey,
          itemstyles: r.itemstyles
        }, null, 8, ["values", "interpretTranslateKey", "itemstyles"])
      ]))), 128))
    ])) : u("", !0)
  ])) : u("", !0);
}
const rt = /* @__PURE__ */ E(O, [["render", z], ["__scopeId", "data-v-8df61e05"]]);
export {
  rt as default
};
//# sourceMappingURL=DatasetDetailsProperty.vue.mjs.map
