export declare const dcatFields = "releaseDate,modificationDate,creator,landingPages,sources,\n    languages,publisher,contactPoints,catalogRecord,spatial,\n    spatialResource,conformsTo,provenances,identifiers,otherIdentifiers,resource,\n    frequency,accessRights,accrualPeriodicity,hasVersion,isVersionOf,\n    temporal,versionInfo,versionNotes,attributes,dimensions,numSeries,hasQualityAnnotations,\n    statUnitMeasures,isReferencedBy,qualifiedAttributions,wasGeneratedBy,\n    qualifiedRelations,sample,spatialResolutionInMeters,type,temporalResolution";
export declare const dcatDeFields = "politicalGeocodingLevelURI,politicalGeocodingURI,availability,\n    contributorID,geocodingDescriptionDe,legalBasis,qualityProcessURI,typeDe,\n    references,contributor,originator,maintainer";
export declare const dcatSchema: (t: any) => {
    releaseDate: {
        type: string;
        translate: string;
    };
    modificationDate: {
        type: string;
        translate: string;
    };
    landingPages: {
        type: string;
        translate: string;
    };
    sources: {
        type: string;
        translate: string;
    };
    languages: {
        type: string;
        translate: string;
    };
    publisher: {
        type: string;
        fields: string;
    };
    contactPoints: {
        type: string;
        translate: string;
        fields: string;
    };
    catalogRecord: {
        type: string;
        translate: string;
        fields: string;
    };
    spatial: {
        type: string;
        fields: string;
    };
    spatialResource: {
        type: string;
        translate: string;
        fields: string;
    };
    conformsTo: {
        type: string;
        fields: string;
        track: string;
    };
    provenances: {
        type: string;
        translate: string;
        fields: string;
    };
    identifiers: {
        type: string;
        translate: string;
    };
    otherIdentifiers: {
        type: string;
        translate: string;
        fields: string;
    };
    resource: {
        type: string;
        translate: string;
    };
    frequency: {
        type: string;
        fields: string;
    };
    accessRights: {
        type: string;
        translate: string;
        fields: string;
    };
    accrualPeriodicity: {
        type: string;
        translate: string;
        fields: string;
    };
    creator: {
        type: string;
        fields: string;
    };
    hasVersion: {
        type: string;
    };
    isVersionOf: {
        type: string;
        translate: string;
    };
    temporal: {
        type: string;
        translate: string;
        fields: string;
        itemstyles: string;
    };
    versionInfo: {
        type: string;
    };
    versionNotes: {
        type: string;
    };
    attributes: {
        type: string;
        translate: string;
    };
    dimensions: {
        type: string;
        translate: string;
    };
    numSeries: {
        type: string;
    };
    hasQualityAnnotations: {
        type: string;
        translate: string;
    };
    statUnitMeasures: {
        type: string;
        translate: string;
    };
    isReferencedBy: {
        type: string;
    };
    qualifiedAttributions: {
        type: string;
        translate: string;
    };
    wasGeneratedBy: {
        type: string;
    };
    qualifiedRelations: {
        type: string;
        translate: string;
        fields: string;
    };
    sample: {
        type: string;
    };
    spatialResolutionInMeters: {
        type: string;
        translate: string;
        transform: (value: any) => any;
    };
    type: {
        type: string;
        fields: string;
    };
    temporalResolution: {
        type: string;
    };
};
export declare const dcatDeSchema: () => {
    politicalGeocodingLevelURI: {
        type: string;
        fields: string;
    };
    politicalGeocodingURI: {
        type: string;
        fields: string;
    };
    availability: {
        type: string;
        translate: string;
        fields: string;
    };
    contributorID: {
        type: string;
        fields: string;
    };
    geocodingDescriptionDe: {
        type: string;
    };
    legalBasis: {
        type: string;
    };
    qualityProcessURI: {
        type: string;
    };
    typeDe: {
        type: string;
        translate: string;
    };
    references: {
        type: string;
    };
    contributor: {
        type: string;
        fields: string;
    };
    originator: {
        type: string;
        fields: string;
    };
    maintainer: {
        type: string;
        fields: string;
    };
};
