import b from "axios";
import { has as o } from "lodash-es";
import r from "./getters/data-getters.mjs";
const O = (t) => {
  const e = {};
  return e.availability = r.getObject(t, "availability", ["resource", "label"]), e.catalog = r.getArrayOfStrings(t, "catalog"), e.count = r.getCount(t), e.country = r.getObject(t, "country", ["id", "title"]), e.creator = r.getObject(t, "creator", ["name", "type", "email", "resource", "homepage"]), e.dataset = [], e.description = r.getObjectLanguage(t, "description", "No description available"), e.hasPart = r.getArrayOfStrings(t, "has_part"), e.homepage = r.getString(t, "homepage"), e.id = r.getString(t, "id"), e.idName = r.getString(t, "idName"), e.isPartOf = r.getString(t, "is_part_of"), e.languages = r.getArrayOfObjects(t, "language", ["id", "label", "resource"]), e.licence = r.getObject(t, "license", ["id", "label", "description", "resource", "la_url", "homepage"]), e.modified = r.getString(t, "modified"), e.publisher = r.getObject(t, "publisher", ["name", "type", "email", "resource", "homepage", "address"]), e.record = r.getObject(t, "catalog_record", ["issued", "modified"]), e.rights = r.getObject(t, "rights", ["label", "resource"]), e.issued = r.getString(t, "issued"), e.spatial = r.getArrayOfObjects(t, "spatial", ["type", "coordinates"]), e.spatialResource = r.getArrayOfObjects(t, "spatial_resource", ["label", "resource"]), e.themeTaxonomy = r.getArrayOfStrings(t, "theme_taxonomy"), e.title = r.getObjectLanguage(t, "title", "No title available"), e.catalogueBackground = r.getArrayOfStrings(t, "catalogueBackground"), e.catalogueLogo = r.getArrayOfStrings(t, "catalogueLogo"), e.catalogueFavIcon = r.getArrayOfStrings(t, "catalogueFavIcon"), e.catalogueProfile = r.getArrayOfStrings(t, "catalogueProfile"), e.catalogueInterestingDatasets = r.getArrayOfStrings(t, "catalogueInterestingDatasets"), e;
};
class w {
  constructor(e) {
    this.baseUrl = e;
  }
  /**
   * @description GET catalog by given id.
   * @param id
   */
  getSingle(e) {
    return new Promise((u, d) => {
      const f = "catalogues", m = `${this.baseUrl}${f}/${e}`;
      b.get(m, {
        params: {}
      }).then((c) => {
        const p = c.data.result;
        let g = {};
        try {
          g = O(p);
        } catch (l) {
          console.warn("Error in catalogs.ts while checking response:", l.message), console.error(l.stack);
        }
        u(g);
      }).catch((c) => {
        d(c);
      });
    });
  }
  /**
   * @description GET all catalogs matching the given criteria.
   * @param q
   * @returns {Promise}
   */
  get(e, u, d = 1, f = "relevance+desc,modified+desc,title+asc", m = "AND", c = "AND", p) {
    const g = {
      q: e,
      filter: "catalogue",
      sort: f,
      limit: u,
      page: d - 1,
      facetOperator: m,
      facetGroupOperator: c,
      includes: "id,title,description,modified,issued,country,count",
      facets: p
    };
    return new Promise((l, y) => {
      const S = "search", A = `${this.baseUrl}${S}`;
      b.get(A, {
        params: g
      }).then((i) => {
        const h = {
          availableFacets: [],
          catalogsCount: i.data.result.count,
          catalogs: []
        };
        for (const a of i.data.result.facets)
          if (o(a, "id") && o(a, "title") && o(a, "items")) {
            const n = [];
            for (const s of a.items)
              o(s, "id") && o(s, "title") && o(s, "count") && n.push({
                id: s.id,
                count: s.count,
                title: s.title
              });
            h.availableFacets.push({
              id: a.id,
              title: a.title,
              items: n
            });
          }
        const j = i.data.result.results;
        for (const a of j) {
          let n = {};
          try {
            n = O(a);
          } catch (s) {
            console.warn("Error in catalogs.ts while checking response:", s.message), console.error(s.stack);
          }
          h.catalogs.push(n);
        }
        return l(h);
      }).catch((i) => {
        console.error(i), y(i);
      });
    });
  }
}
export {
  w as default
};
//# sourceMappingURL=catalogService.mjs.map
