import { isObject as l, has as _, isArray as r } from "lodash-es";
import { mirrorPropertyFn as g, getTranslationFor as o } from "../../utils/helpers.mjs";
const I = g("label", "title"), u = {
  dataset: {
    // DCAT-AP.de
    availability: {},
    applicableLegislation: [{}],
    politicalGeocodingLevelURI: [{}],
    politicalGeocodingURI: [{}],
    contributorID: [{}],
    geocodingDescriptionDe: {},
    hvdCategory: [{}],
    legalBasis: {},
    qualityProcessURI: "",
    typeDe: "",
    references: "",
    contributor: [],
    originator: [],
    maintainer: [],
    //
    accessRights: "",
    accrualPeriodicity: "",
    admsIdentifiers: [],
    attributes: [],
    catalog: {},
    categories: [],
    conformsTo: [],
    contactPoints: [],
    country: {},
    creator: {},
    dateIncorrect: !1,
    deadline: "",
    description: {},
    dimensions: [],
    distributions: [],
    distributionFormats: [],
    documentations: [],
    frequency: {},
    geocodingDescription: {},
    hasQualityAnnotations: [],
    hasVersion: [],
    id: "",
    identifiers: [],
    idName: "",
    isHvd: !1,
    isReferencedBy: [],
    isVersionOf: [],
    keywords: [],
    landingPages: [],
    languages: [],
    licences: [],
    modificationDate: "",
    numSeries: 0,
    originalLanguage: "",
    otherIdentifiers: [],
    pages: [],
    provenances: [],
    publisher: {},
    qualifiedAttributions: [],
    qualifiedRelations: [],
    relations: [],
    relatedResources: [],
    releaseDate: "",
    resource: "",
    sample: [],
    similarDatasetsRequested: "",
    similarDatasets: [],
    sources: [],
    spatial: [],
    spatialResource: [],
    spatialResolutionInMeters: 0,
    statUnitMeasures: [],
    subject: [],
    temporal: [],
    temporalResolution: [],
    theme: [],
    translationMetaData: {},
    title: {},
    type: {},
    versionInfo: "",
    versionNotes: {},
    visualisations: [],
    wasGeneratedBy: [],
    qualityDataRequested: "",
    qualityData: [""],
    qualityDistributionData: [""],
    isDQVDataRequested: "",
    isDQVDataRDFAvailable: !1,
    isDQVDataTTLAvailable: !1,
    isDQVDataN3Available: !1,
    isDQVDataNTAvailable: !1,
    isDQVDataJSONLDAvailable: !1,
    catalogRecord: {},
    isUsedBy: {},
    extendetMetadata: {},
    distributionDownloadAs: {},
    distributionDownloadAsOptions: [],
    descriptionHeight: 0
  },
  activeNavigationTab: 0,
  loading: !1
}, N = {
  getProperty: (t) => (a) => t.dataset[a],
  // DCAT-AP.de fields
  getAvailability: (t) => t.dataset.availability,
  getPoliticalGeocodingLevelURI: (t) => t.dataset.politicalGeocodingLevelURI,
  getPoliticalGeocodingURI: (t) => t.dataset.politicalGeocodingURI,
  getContributorID: (t) => t.dataset.contributorID,
  getGeocodingDescriptionDe: (t) => t.dataset.geocodingDescriptionDe,
  getLegalBasis: (t) => t.dataset.legalBasis,
  getQualityProcessURI: (t) => t.dataset.qualityProcessURI,
  getTypeDe: (t) => t.dataset.typeDe,
  getReferences: (t) => t.dataset.references,
  getContributor: (t) => t.dataset.contributor,
  getOriginator: (t) => t.dataset.originator,
  getMaintainer: (t) => t.dataset.maintainer,
  //
  getAccessRights: (t) => t.dataset.accessRights,
  getAccrualPeriodicity: (t) => t.dataset.accrualPeriodicity,
  getAdmsIdentifiers: (t) => t.dataset.admsIdentifiers,
  getAttributes: (t) => t.dataset.attributes,
  getCatalog: (t) => t.dataset.catalog,
  getCategories: (t) => t.dataset.categories.length && t.dataset.categories.map(I) || [],
  getConformsTo: (t) => t.dataset.conformsTo.length && t.dataset.conformsTo.map(I) || [],
  getContactPoints: (t) => t.dataset.contactPoints,
  getCountry: (t) => t.dataset.country,
  getCreator: (t) => t.dataset.creator,
  getDateIncorrect: (t) => t.dataset.dateIncorrect,
  getDeadline: (t) => t.dataset.deadline,
  getDescription: (t) => t.dataset.description,
  getDimensions: (t) => t.dataset.dimensions,
  getDistributions: (t) => t.dataset.distributions,
  getDistributionFormats: (t) => t.dataset.distributionFormats,
  getDocumentations: (t) => t.dataset.documentations,
  getFrequency: (t) => t.dataset.frequency,
  getGeocodingDescription: (t) => t.dataset.geocodingDescription,
  getHasQualityAnnotations: (t) => t.dataset.hasQualityAnnotations,
  getHasVersion: (t) => t.dataset.hasVersion,
  getID: (t) => t.dataset.id,
  getIdentifiers: (t) => t.dataset.identifiers,
  getIdName: (t) => t.dataset.idName,
  getIsReferencedBy: (t) => t.dataset.isReferencedBy,
  getIsVersionOf: (t) => t.dataset.isVersionOf,
  getKeywords: (t) => t.dataset.keywords.length && t.dataset.keywords.map(I) || [],
  getSubject: (t) => t.dataset.subject.length && t.dataset.subject.map(I) || [],
  getLandingPages: (t) => t.dataset.landingPages,
  getLanguages: (t) => t.dataset.languages,
  getLicences: (t) => t.dataset.licences,
  getModificationDate: (t) => t.dataset.modificationDate,
  getNumSeries: (t) => t.dataset.numSeries,
  getOriginalLanguage: (t) => t.dataset.originalLanguage,
  getOtherIdentifiers: (t) => t.dataset.otherIdentifiers,
  getPages: (t) => t.dataset.pages,
  getProvenances: (t) => t.dataset.provenances,
  getPublisher: (t) => t.dataset.publisher,
  getQualifiedAttributions: (t) => t.dataset.qualifiedAttributions,
  getQualifiedRelations: (t) => t.dataset.qualifiedRelations,
  getRelations: (t) => t.dataset.relations,
  getRelatedResources: (t) => t.dataset.relatedResources,
  getReleaseDate: (t) => t.dataset.releaseDate,
  getSimilarDatasetsRequested: (t) => t.dataset.similarDatasetsRequested,
  getSimilarDatasets: (t) => t.dataset.similarDatasets,
  getSample: (t) => t.dataset.sample,
  getSources: (t) => t.dataset.sources,
  getSpatial: (t) => t.dataset.spatial,
  getSpatialResource: (t) => t.dataset.spatialResource.length && t.dataset.spatialResource.map(I) || [],
  getSpatialResolutionInMeters: (t) => t.dataset.spatialResolutionInMeters,
  getStatUnitMeasures: (t) => t.dataset.statUnitMeasures,
  getTheme: (t) => t.dataset.theme,
  getTemporal: (t) => t.dataset.temporal,
  getTemporalResolution: (t) => t.dataset.temporalResolution,
  getTranslationMetaData: (t) => t.dataset.translationMetaData,
  getTitle: (t) => t.dataset.title,
  getType: (t) => t.dataset.type,
  getResource: (t) => t.dataset.resource,
  getVersionInfo: (t) => t.dataset.versionInfo,
  getVersionNotes: (t) => t.dataset.versionNotes,
  getVisualisations: (t) => t.dataset.visualisations,
  getWasGeneratedBy: (t) => t.dataset.wasGeneratedBy,
  getLoading: (t) => t.loading,
  getQualityDataRequested: (t) => t.dataset.qualityDataRequested,
  getQualityData: (t) => t.dataset.qualityData,
  getQualityDistributionData: (t) => t.dataset.qualityDistributionData,
  getIsDQVDataRequested: (t) => t.dataset.isDQVDataRequested,
  getIsDQVDataRDFAvailable: (t) => t.dataset.isDQVDataRDFAvailable,
  getIsDQVDataTTLAvailable: (t) => t.dataset.isDQVDataTTLAvailable,
  getIsDQVDataN3Available: (t) => t.dataset.isDQVDataN3Available,
  getIsDQVDataNTAvailable: (t) => t.dataset.isDQVDataNTAvailable,
  getIsDQVDataJSONLDAvailable: (t) => t.dataset.isDQVDataJSONLDAvailable,
  getCatalogRecord: (t) => t.dataset.catalogRecord,
  getExtendedMetadata: (t) => t.dataset.extendetMetadata,
  getDistributionDownloadAs: (t) => t.dataset.distributionDownloadAs,
  getDistributionDownloadAsOptions: (t) => t.dataset.distributionDownloadAsOptions,
  getDatasetDescriptionHeight: (t) => t.dataset.descriptionHeight,
  getIsHvd: (t) => t.dataset.isHvd,
  getApplicableLegislation: (t) => t.dataset.applicableLegislation,
  // getHvdCategory: state => state.dataset.hvdCategory,
  getHvdCategories: (t) => t.dataset.hvdCategory.length && t.dataset.hvdCategory.map(I) || []
}, O = {
  /**
   * @description Loads details for the dataset with the given ID.
   * @param commit
   * @param state
   * @param id {String} The dataset ID.
   */
  loadDatasetDetails({ state: t, commit: a }, s) {
    return new Promise((T, i) => {
      a("SET_LOADING", !0), a("SET_ID", s), this.$datasetService.getSingle(s).then((e) => {
        a("SET_AVAILABILITY", e.availability), a("SET_POLITICAL_GEOCODING_LEVEL_URL", e.politicalGeocodingLevelURI), a("SET_POLITICAL_GEOCODING_URL", e.politicalGeocodingURI), a("SET_CONTRIBUTOR_ID", e.contributorID), a("SET_GEOCODING_DESCRIPTION_DE", e.geocodingDescriptionDe), a("SET_LEGAL_BASIS", e.legalBasis), a("SET_QUALITY_PROCESS_URI", e.qualityProcessURI), a("SET_TYPE_DE", e.typeDe), a("SET_REFERENCES", e.references), a("SET_CONTRIBUTER", e.contributor), a("SET_ORIGINATOR", e.originator), a("SET_MAINTAINER", e.maintainer), a("SET_ACCESS_RIGHTS", e.accessRights), a("SET_ACCRUAL_PERIODICITY", e.accrualPeriodicity), a("SET_ATTRIBUTES", e.attributes), a("SET_catalog", e.catalog), a("SET_CATEGORIES", e.categories), a("SET_CONFORMS_TO", e.conformsTo), a("SET_CONTACT_POINTS", e.contactPoints), a("SET_COUNTRY", e.country), a("SET_CREATOR", e.creator), a("SET_DESCRIPTION", e.description), a("SET_DIMENSIONS", e.dimensions), a("SET_DISTRIBUTIONS", e.distributions), a("SET_DISTRIBUTION_FORMATS", e.distributionFormats), a("SET_DOCUMENTATIONS", e.documentations), a("SET_FREQUENCY", e.frequency), a("SET_HAS_QUALITY_ANNOTATIONS", e.hasQualityAnnotations), a("SET_HAS_VERSION", e.hasVersion), a("SET_IDENTIFIERS", e.identifiers), a("SET_ID_NAME", e.idName), a("SET_IS_REFERENCED_BY", e.isReferencedBy), a("SET_IS_VERSION_OF", e.isVersionOf), a("SET_KEYWORDS", e.keywords), a("SET_LANDING_PAGES", e.landingPages), a("SET_LANGUAGES", e.languages), a("SET_LICENCES", e.licences), a("SET_MODIFICATION_DATE", e.modificationDate), a("SET_NUM_SERIES", e.numSeries), a("SET_ORIGINAL_LANGUAGE", e.originalLanguage), a("SET_OTHER_IDENTIFIERS", e.otherIdentifiers), a("SET_PAGES", e.pages), a("SET_PROVENANCES", e.provenances), a("SET_PUBLISHER", e.publisher), a("SET_RELATED_RESOURCES", e.relatedResources), a("SET_RELEASE_DATE", e.releaseDate), a("SET_RESOURCE", e.resource), a("SET_SOURCES", e.sources), a("SET_SPATIAL", e.spatial), a("SET_SPATIAL_RESOURCE", e.spatialResource), a("SET_STAT_UNIT_MEASURES", e.statUnitMeasures), a("SET_TEMPORAL", e.temporal), a("SET_TRANSLATION_META_DATA", e.translationMetaData), a("SET_TITLE", e.title), a("SET_VERSION_INFO", e.versionInfo), a("SET_VERSION_NOTES", e.versionNotes), a("SET_VISUALISATIONS", e.visualisations), a("SET_WAS_GENERATED_BY", e.wasGeneratedBy), a("SET_CATALOG_RECORD", e.catalogRecord), a("SET_ADMS_IDENTIFIERS", e.admsIdentifiers), a("SET_DEADLINE", e.deadline), a("SET_GEOCODING_DESCRIPTION", e.geocodingDescription), a("SET_QUALIFIED_ATTRIBUTIONS", e.qualifiedAttributions), a("SET_QUALIFIED_RELATIONS", e.qualifiedRelations), a("SET_RELATIONS", e.relations), a("SET_SAMPLE", e.sample), a("SET_SPATIAL_RESOLUTION_IN_METERS", e.spatialResolutionInMeters), a("SET_SUBJECT", e.subject), a("SET_TEMPORAL_RESOLUTION", e.temporalResolution), a("SET_THEME", e.theme), a("SET_TYPE", e.type), a("SET_EXTENDET_METADATA", e.extendetMetadata), a("SET_IS_HVD", e.isHvd), a("SET_HVD_CATEGORY", e.hvdCategory), a("SET_LOADING", !1), a("SET_IS_HVD", e.isHvd), a("SET_APPLICABLE_LEGISLATION", e.applicableLegislation), a("SET_HVD_CATEGORY", e.hvdCategory), T();
      }).catch((e) => {
        console.error(e), a("SET_LOADING", !1), i(e);
      });
    });
  },
  /**
   * @description Loads details for the dataset with the given ID. But unlike loaddatasetDetails,
   * the Mutations after the request differ because this function is meant to fetch details for similar datasets of another dataset.
   * @param commit
   * @param state
   * @param id {String} The dataset ID.
   */
  loadSimilarDatasetDetails({ state: t, commit: a }, s) {
    return a("SET_LOADING", !0), new Promise((T, i) => {
      this.$datasetService.getSingle(s).then((e) => {
        a("SET_SD_DESCRIPTION", { id: s, description: e.description }), a("SET_SD_TITLE", { id: s, title: e.title }), a("SET_SD_DISTRIBUTION_FORMATS", { id: s, distributionFormats: e.distributionFormats }), a("SET_LOADING", !1), T(e);
      }).catch((e) => {
        console.error(e), a("SET_LOADING", !1), i(e);
      });
    });
  },
  /**
   * @description Fetches similar datasets of the provided dataset id
   * @param idOrPayload {string | LoadSimilarDatasetsPayload} - id or payload
   */
  loadSimilarDatasets({ state: t, commit: a }, s) {
    let T, i;
    if (typeof s == "string")
      T = s, i = {};
    else if (l(s))
      T = s.id, i = s == null ? void 0 : s.query, s == null || s.description;
    else
      throw new Error("invalid payload argument passed to method loadSimilarDatasets: " + JSON.stringify(s));
    return a("SET_LOADING", !0), new Promise((e, S) => {
      a("SET_ID", T), a("SET_SIMILAR_DATASETS_REQUESTED", T);
      const d = {
        description: o(t.dataset.description, "en", "en"),
        title: o(t.dataset.title, "en", "en")
      };
      t.dataset.keywords && (d.keywords = t.dataset.keywords.map((E) => E.label)), this.$datasetService.getSimilarDatasets(T, d, i).then((E) => {
        var A;
        const n = (A = E.data) == null ? void 0 : A.result;
        if (n) {
          const R = "http://data.europa.eu/88u/dataset/";
          n.forEach((D) => {
            D.id = D.uri.substring(R.length), D.uri = "https://data.europa.eu/88u/dataset/" + D.id;
          }), a("SET_SIMILAR_DATASETS", n), a("SET_LOADING", !1), e(n);
        } else
          a("SET_SIMILAR_DATASETS", E.data), a("SET_LOADING", !1), e(E.data);
      }).catch((E) => {
        console.error(E), a("SET_LOADING", !1), S(E);
      });
    });
  },
  loadQualityData({ commit: t }, a) {
    return t("SET_LOADING", !0), new Promise((s, T) => {
      t("SET_ID", a), t("SET_QUALITY_DATA_REQUESTED", a), this.$datasetService.getQualityData(a).then((i) => {
        t("SET_QUALITY_DATA", i.data), t("SET_LOADING", !1), s(i.data);
      }).catch((i) => {
        console.error(i), t("SET_LOADING", !1), T(i);
      });
    });
  },
  loadQualityDistributionData({ commit: t }, a) {
    return t("SET_LOADING", !0), new Promise((s, T) => {
      t("SET_ID", a), t("SET_QUALITY_DATA_REQUESTED", a), this.$datasetService.getQualityDistributionData(a).then((i) => {
        t("SET_QUALITY_DISTRIBUTION_DATA", i.data), t("SET_LOADING", !1), s(i.data);
      }).catch((i) => {
        console.error(i), t("SET_LOADING", !1), T(i);
      });
    });
  },
  /**
   * @description load dqv data
   * @param commit
   * @param id {String}
   * @param formats {Array}
   * @param locale {String}
   */
  loadDQVData({ commit: t }, { id: a, formats: s, locale: T }) {
    return new Promise((i, e) => {
      t("SET_ID", a), t("SET_IS_DQV_DATA_REQUESTED", a), this.$datasetService.getDQVDataHead(a, T).then((S) => {
        const d = S.status === 200;
        s.forEach((E) => t(`SET_IS_DQV_DATA_${E.toUpperCase()}_AVAILABLE`, d)), i(S);
      }).catch((S) => {
        s.forEach((d) => t(`SET_IS_DQV_DATA_${d.toUpperCase()}_AVAILABLE`, !1)), e(S);
      });
    });
  },
  setLoading({ commit: t }, a) {
    t("SET_LOADING", a);
  },
  /**
   * @description Selects distribution for download as (format convertion) service, sets available format options.
   * @param commit
   * @param distribution - Selected distribution.
   * @param selectOptions - Available file formats for convertion
   */
  selectDistributionForDownloadAs({ commit: t }, { distribution: a, selectOptions: s }) {
    t("SET_DISTRIBUTION_DOWNLOAD_AS", a), t("SET_DISTRIBUTION_DOWNLOAD_AS_OPTIONS", s);
  },
  /**
  * @description Sets datasetDescription height
  * @param commit
  * @param height
  */
  setDatasetDescriptionHeight({ commit: t }, a) {
    t("SET_DATASET_DESCRIPTION_HEIGHT", a);
  },
  /**
  * @description Sets dateIncorrect to true if date is not plausible
  * @param commit
  */
  setDateIncorrect({ commit: t }) {
    t("SET_DATE_INCORRECT");
  }
}, L = {
  // DCAT-AP.de
  SET_AVAILABILITY(t, a) {
    t.dataset.availability = a;
  },
  SET_POLITICAL_GEOCODING_LEVEL_URL(t, a) {
    t.dataset.politicalGeocodingLevelURI = a;
  },
  SET_POLITICAL_GEOCODING_URL(t, a) {
    t.dataset.politicalGeocodingURI = a;
  },
  SET_CONTRIBUTOR_ID(t, a) {
    t.dataset.contributorID = a;
  },
  SET_LEGAL_BASIS(t, a) {
    t.dataset.legalBasis = a;
  },
  SET_QUALITY_PROCESS_URI(t, a) {
    t.dataset.qualityProcessURI = a;
  },
  SET_TYPE_DE(t, a) {
    t.dataset.typeDe = a;
  },
  SET_REFERENCES(t, a) {
    t.dataset.references = a;
  },
  SET_CONTRIBUTER(t, a) {
    t.dataset.contributor = a;
  },
  SET_GEOCODING_DESCRIPTION_DE(t, a) {
    t.dataset.geocodingDescriptionDe = a;
  },
  SET_ORIGINATOR(t, a) {
    t.dataset.originator = a;
  },
  SET_MAINTAINER(t, a) {
    t.dataset.maintainer = a;
  },
  //
  SET_ACCESS_RIGHTS(t, a) {
    t.dataset.accessRights = a;
  },
  SET_ACCRUAL_PERIODICITY(t, a) {
    t.dataset.accrualPeriodicity = a;
  },
  SET_ATTRIBUTES(t, a) {
    t.dataset.attributes = a;
  },
  SET_catalog(t, a) {
    t.dataset.catalog = a;
  },
  SET_CATEGORIES(t, a) {
    t.dataset.categories = a;
  },
  SET_CONFORMS_TO(t, a) {
    t.dataset.conformsTo = a;
  },
  SET_CONTACT_POINTS(t, a) {
    t.dataset.contactPoints = a;
  },
  SET_COUNTRY(t, a) {
    t.dataset.country = a;
  },
  SET_CREATOR(t, a) {
    t.dataset.creator = a;
  },
  SET_DATE_INCORRECT(t) {
    t.dataset.dateIncorrect = !0;
  },
  SET_DESCRIPTION(t, a) {
    t.dataset.description = a;
  },
  SET_DIMENSIONS(t, a) {
    t.dataset.dimensions = a;
  },
  SET_DISTRIBUTIONS(t, a) {
    t.dataset.distributions = a;
  },
  SET_DISTRIBUTION_FORMATS(t, a) {
    t.dataset.distributionFormats = a;
  },
  SET_DOCUMENTATIONS(t, a) {
    t.dataset.documentations = a;
  },
  SET_FREQUENCY(t, a) {
    t.dataset.frequency = a;
  },
  SET_HAS_QUALITY_ANNOTATIONS(t, a) {
    t.dataset.hasQualityAnnotations = a;
  },
  SET_HAS_VERSION(t, a) {
    t.dataset.hasVersion = a;
  },
  SET_ID(t, a) {
    t.dataset.id = a;
  },
  SET_IDENTIFIERS(t, a) {
    t.dataset.identifiers = a;
  },
  SET_ID_NAME(t, a) {
    t.dataset.idName = a;
  },
  SET_IS_REFERENCED_BY(t, a) {
    t.dataset.isReferencedBy = a;
  },
  SET_IS_VERSION_OF(t, a) {
    t.dataset.isVersionOf = a;
  },
  SET_KEYWORDS(t, a) {
    t.dataset.keywords = a;
  },
  SET_LANDING_PAGES(t, a) {
    t.dataset.landingPages = a;
  },
  SET_LANGUAGES(t, a) {
    t.dataset.languages = a;
  },
  SET_LICENCES(t, a) {
    t.dataset.licences = a;
  },
  SET_MODIFICATION_DATE(t, a) {
    t.dataset.modificationDate = a;
  },
  SET_NUM_SERIES(t, a) {
    t.dataset.numSeries = a;
  },
  SET_ORIGINAL_LANGUAGE(t, a) {
    t.dataset.originalLanguage = a;
  },
  SET_OTHER_IDENTIFIERS(t, a) {
    t.dataset.otherIdentifiers = a;
  },
  SET_PAGES(t, a) {
    t.dataset.pages = a;
  },
  SET_PROVENANCES(t, a) {
    t.dataset.provenances = a;
  },
  SET_PUBLISHER(t, a) {
    t.dataset.publisher = a;
  },
  SET_RELATED_RESOURCES(t, a) {
    t.dataset.relatedResources = a;
  },
  SET_RELEASE_DATE(t, a) {
    t.dataset.releaseDate = a;
  },
  SET_RESOURCE(t, a) {
    t.dataset.resource = a;
  },
  SET_SOURCES(t, a) {
    t.dataset.sources = a;
  },
  SET_SPATIAL(t, a) {
    t.dataset.spatial = a;
  },
  SET_SPATIAL_RESOURCE(t, a) {
    t.dataset.spatialResource = a;
  },
  SET_STAT_UNIT_MEASURES(t, a) {
    t.dataset.statUnitMeasures = a;
  },
  SET_TEMPORAL(t, a) {
    t.dataset.temporal = a;
  },
  SET_TRANSLATION_META_DATA(t, a) {
    t.dataset.translationMetaData = a;
  },
  SET_TITLE(t, a) {
    t.dataset.title = a;
  },
  SET_VERSION_INFO(t, a) {
    t.dataset.versionInfo = a;
  },
  SET_VERSION_NOTES(t, a) {
    t.dataset.versionNotes = a;
  },
  SET_VISUALISATIONS(t, a) {
    t.dataset.visualisations = a;
  },
  SET_WAS_GENERATED_BY(t, a) {
    t.dataset.wasGeneratedBy = a;
  },
  SET_SIMILAR_DATASETS_REQUESTED(t, a) {
    t.dataset.similarDatasetsRequested = a;
  },
  SET_SIMILAR_DATASETS(t, a) {
    t.dataset.similarDatasets = a;
  },
  SET_SD_DESCRIPTION(t, a) {
    if (_(a, "id") && _(a, "description")) {
      const s = a.id, T = a.description;
      if (r(t.dataset.similarDatasets)) {
        const i = t.dataset.similarDatasets.filter((e) => e.id === s)[0];
        l(i) && (i.description = T);
      }
    }
  },
  SET_SD_TITLE(t, a) {
    if (_(a, "id") && _(a, "title")) {
      const s = a.id, T = a.title;
      if (r(t.dataset.similarDatasets)) {
        const i = t.dataset.similarDatasets.filter((e) => e.id === s)[0];
        l(i) && (i.title = T);
      }
    }
  },
  SET_SD_DISTRIBUTION_FORMATS(t, a) {
    if (_(a, "id") && _(a, "distributionFormats")) {
      const s = a.id, T = a.distributionFormats;
      if (r(t.dataset.similarDatasets)) {
        const i = t.dataset.similarDatasets.filter((e) => e.id === s)[0];
        l(i) && (i.distributionFormats = T);
      }
    }
  },
  SET_ACTIVE_NAVIGATION_TAB(t, a) {
    t.activeNavigationTab = a;
  },
  SET_LOADING(t, a) {
    t.loading = a;
  },
  SET_QUALITY_DATA_REQUESTED(t, a) {
    t.dataset.qualityDataRequested = a;
  },
  SET_QUALITY_DATA(t, a) {
    t.dataset.qualityData = a;
  },
  SET_QUALITY_DISTRIBUTION_DATA(t, a) {
    t.dataset.qualityDistributionData = a;
  },
  SET_IS_DQV_DATA_REQUESTED(t, a) {
    t.dataset.isDQVDataRequested = a;
  },
  SET_IS_DQV_DATA_RDF_AVAILABLE(t, a) {
    t.dataset.isDQVDataRDFAvailable = a;
  },
  SET_IS_DQV_DATA_TTL_AVAILABLE(t, a) {
    t.dataset.isDQVDataTTLAvailable = a;
  },
  SET_IS_DQV_DATA_N3_AVAILABLE(t, a) {
    t.dataset.isDQVDataN3Available = a;
  },
  SET_IS_DQV_DATA_NT_AVAILABLE(t, a) {
    t.dataset.isDQVDataNTAvailable = a;
  },
  SET_IS_DQV_DATA_JSONLD_AVAILABLE(t, a) {
    t.dataset.isDQVDataJSONLDAvailable = a;
  },
  SET_CATALOG_RECORD(t, a) {
    t.dataset.catalogRecord = a;
  },
  SET_ADMS_IDENTIFIERS(t, a) {
    t.dataset.admsIdentifiers = a;
  },
  SET_DEADLINE(t, a) {
    t.dataset.deadline = a;
  },
  SET_GEOCODING_DESCRIPTION(t, a) {
    t.dataset.geocodingDescription = a;
  },
  SET_QUALIFIED_ATTRIBUTIONS(t, a) {
    t.dataset.qualifiedAttributions = a;
  },
  SET_QUALIFIED_RELATIONS(t, a) {
    t.dataset.qualifiedRelations = a;
  },
  SET_RELATIONS(t, a) {
    t.dataset.relations = a;
  },
  SET_SAMPLE(t, a) {
    t.dataset.sample = a;
  },
  SET_SPATIAL_RESOLUTION_IN_METERS(t, a) {
    t.dataset.spatialResolutionInMeters = a;
  },
  SET_SUBJECT(t, a) {
    t.dataset.subject = a;
  },
  SET_TEMPORAL_RESOLUTION(t, a) {
    t.dataset.temporalResolution = a;
  },
  SET_THEME(t, a) {
    t.dataset.theme = a;
  },
  SET_TYPE(t, a) {
    t.dataset.type = a;
  },
  SET_EXTENDET_METADATA(t, a) {
    t.dataset.extendetMetadata = a;
  },
  SET_DISTRIBUTION_DOWNLOAD_AS(t, a) {
    t.dataset.distributionDownloadAs = a;
  },
  SET_DISTRIBUTION_DOWNLOAD_AS_OPTIONS(t, a) {
    t.dataset.distributionDownloadAsOptions = a;
  },
  SET_DATASET_DESCRIPTION_HEIGHT(t, a) {
    t.dataset.descriptionHeight = a;
  },
  SET_IS_HVD(t, a) {
    t.dataset.isHvd = a;
  },
  SET_APPLICABLE_LEGISLATION(t, a) {
    t.dataset.applicableLegislation = [...a];
  },
  SET_HVD_CATEGORY(t, a) {
    t.dataset.hvdCategory = [...a];
  }
}, U = {
  namespaced: !0,
  state: u,
  actions: O,
  mutations: L,
  getters: N
};
export {
  U as default
};
//# sourceMappingURL=datasetDetailsStore.mjs.map
