const C = {
  datasets: [],
  loading: !1,
  searchParameters: {
    query: "",
    limit: 10,
    offset: 0,
    // The Facets to filter for
    facets: {},
    facetOperator: "AND",
    facetGroupOperator: "AND",
    dataServices: "false",
    superCatalogue: void 0,
    // !!!!! Project specific (Bayern). Should be removed as soon as possible !!!!
    datasetGeoBounds: void 0,
    sort: "relevance+desc, modified+desc, title.en+asc"
  },
  availableFacets: [],
  page: 1,
  pageCount: 1,
  datasetsCount: 0,
  dataScope: void 0,
  minScoring: void 0,
  scoringFacets: [
    {
      id: "excellentScoring",
      title: "Excellent",
      count: 0,
      minScoring: 351,
      maxScoring: 405
    },
    {
      id: "goodScoring",
      title: "Good",
      count: 0,
      minScoring: 221,
      maxScoring: 350
    },
    {
      id: "sufficientScoring",
      title: "Sufficient",
      count: 0,
      minScoring: 121,
      maxScoring: 220
    },
    {
      id: "anyScoring",
      title: "Any",
      count: 0,
      minScoring: 0,
      maxScoring: 120
    }
  ]
}, r = {
  getDatasets: (e) => e.datasets,
  getDatasetsCount: (e) => e.datasetsCount,
  getQuery: (e) => e.searchParameters.query,
  getLimit: (e) => e.searchParameters.limit,
  getLoading: (e) => e.loading,
  getOffset: (e) => e.searchParameters.offset,
  getFacets: (e) => {
    const a = { ...e.searchParameters.facets };
    return a.categories && (a.categories = a.categories.map((t) => t.toUpperCase())), a.dataScope && delete a.dataScope, a;
  },
  getFacetOperator: (e) => e.searchParameters.facetOperator,
  getFacetGroupOperator: (e) => e.searchParameters.facetGroupOperator,
  getDataServices: (e) => e.searchParameters.dataServices,
  getSuperCatalogue_DEPRECATED: (e) => e.searchParameters.superCatalogue,
  // !!!!! Project specific (Bayern). Should be removed as soon as possible !!!!
  getDatasetGeoBounds: (e) => e.searchParameters.datasetGeoBounds,
  getAvailableFacets: (e) => e.availableFacets,
  // Hacky solutiohn to insert special facets
  getAllAvailableFacets: (e) => {
    const a = [...e.availableFacets], t = a.findIndex((c) => c.id === "scoring");
    return a.splice(
      t,
      0,
      {
        id: "dataServices",
        items: [
          { count: void 0, id: "true", title: "yes" },
          { count: void 0, id: "false", title: "no" }
        ],
        title: "Data services"
      }
    ), a;
  },
  getPage: (e) => e.page,
  getPageCount: (e) => e.pageCount,
  getSort: (e) => e.searchParameters.sort,
  getMinScoring: (e) => e.minScoring,
  getScoringFacets: (e) => e.scoringFacets,
  getDataScope: (e) => e.dataScope
}, n = {
  /**
   * @description Load all datasets matching the given parameters.
   * @param commit
   * @param state
   * @param options {Object} - Given search parameters
   * @param options.query {String} - The given query string
   * @param options.facets {Array} - The active facets
   * @param options.limit {Number} - The maximum amount of datasets to fetch
   * @param options.page {Number} - The current page
   * @param options.sort {String} - The sort method to use
   * @param options.geoBounds {Array} - The given bounds to setup a spatial search for
   * @param options.append {Boolean} - Decides whether current datasets in state will be replaced or fetched datasets appended.
   */
  loadDatasets({ commit: e, state: a }, {
    locale: t,
    query: c = r.getQuery(a),
    limit: s = r.getLimit(a),
    page: T = r.getPage(a),
    sort: g = r.getSort(a),
    facetOperator: _ = r.getFacetOperator(a),
    facetGroupOperator: A = r.getFacetGroupOperator(a),
    dataServices: d = r.getDataServices(a),
    facets: i = r.getFacets(a),
    geoBounds: E = r.getDatasetGeoBounds(a),
    minScoring: l = r.getMinScoring(a),
    dataScope: u = r.getDataScope(a),
    append: O = !1
  }) {
    e("SET_LOADING", !0);
    const S = E;
    return S instanceof Array && S[0] && S[1] ? E = `${S[0][0]},${S[0][1]},${S[1][0]},${S[1][1]}` : E = void 0, i.catalog[0] === "erpd" && (i.catalog = [], i.superCatalog = ["erpd"]), new Promise((P, p) => {
      this.$datasetService.get(c, t, s, T, g, _, A, d, i, E, l, u).then((o) => {
        e("SET_AVAILABLE_FACETS", o.availableFacets), e("SET_SCORING_COUNT", o.scoringCount), e("SET_DATASETS_COUNT", o.datasetsCount), e(O ? "ADD_DATASETS" : "SET_DATASETS", o.datasets), e("SET_LOADING", !1), P();
      }).catch((o) => {
        console.error(o), e("SET_LOADING", !1), p(o);
      });
    });
  },
  /**
  * @description Loads more datasets.
  * @param commit
  * @param state
  * @param {number} amount - The amount of datasets to add.
  */
  loadSingleDataset({ commit: e }, a) {
    return new Promise((t, c) => {
      this.$datasetService.getSingle(a).then((s) => {
        t(s);
      }).catch((s) => {
        console.error(s), c(s);
      });
    });
  },
  /**
   * @description Loads more datasets.
   * @param commit
   * @param state
   * @param {number} amount - The amount of datasets to add.
   */
  loadAdditionalDatasets({ commit: e, state: a }) {
    const t = r.getPage(a);
    n.loadDatasets({ commit: e, state: a }, { page: t, append: !0 });
  },
  /**
   * @description Autocomplete a query String by using a autocompletion service
   * @param commit
   * @param q {String} The Query to autocomplete
   */
  autocompleteQuery({ commit: e }, a) {
    if (typeof this.$datasetService.autocomplete == "function")
      return new Promise((t, c) => {
        this.$datasetService.autocomplete(a).then((s) => {
          t(s);
        }).catch((s) => {
          c(s);
        });
      });
  },
  /**
   * @description Replace the current state facets by the given facets
   * @param commit
   * @param facets {Array} - The given facets
   */
  setFacets({ commit: e }, a) {
    a && e("SET_FACETS", a);
  },
  /**
   * @description Add the given facet to the states facets.
   * @param commit
   * @param params {Object} - The wrapped action parameters.
   * @param params.field {String} - The field of the given facet
   * @param params.facet {String} - The facet to add
   */
  addFacet({ commit: e }, { field: a, facet: t }) {
    e("ADD_FACET", { field: a, facet: t });
  },
  /**
   * @description Remove the given facet from the states facets.
   * @param commit
   * @param params {Object} - The wrapped action parameters.
   * @param params.field {String} - The field of the given facet
   * @param params.facet {String} - The facet to remove
   */
  removeFacet({ commit: e }, { field: a, facet: t }) {
    e("REMOVE_FACET", { field: a, facet: t });
  },
  /**
   * @description Remove the given facet from the states facets.
   * @param commit
   * @param operator {String} - The facet operator to set. Possible Operators : ['AND', 'OR'].
   */
  setFacetOperator({ commit: e }, a) {
    e("SET_FACET_OPERATOR", a);
  },
  /**
   * @description Remove the given facet from the states facets.
   * @param commit
   * @param operator {String} - The facet operator to set. Possible Operators : ['AND', 'OR'].
   */
  setFacetGroupOperator({ commit: e }, a) {
    e("SET_FACET_GROUP_OPERATOR", a);
  },
  /**
   * @description Remove the given facet from the states facets.
   * @param commit
   * @param operator {String} - The data services to set. Possible Operators : ['true', 'false'].
   */
  setDataServices({ commit: e }, a) {
    e("SET_DATA_SERVICES", a);
  },
  /**
   * @description Remove the given facet from the states facets.
   * @param commit
   * @param operator {String} - Only Erpd data. Possible Operators : ['true', 'false'].
   */
  setSuperCatalogue_DEPRECATED({ commit: e }, a) {
    e("SET_SUPER_CATALOGUE", a);
  },
  setPage({ commit: e }, a) {
    e("SET_PAGE", a);
  },
  setPageCount({ commit: e }, a) {
    e("SET_PAGE_COUNT", a);
  },
  setQuery({ commit: e }, a) {
    e("SET_QUERY", a);
  },
  setSort({ commit: e }, a) {
    e("SET_SORT", a);
  },
  setLimit({ commit: e }, a = 10) {
    e("SET_LIMIT", a);
  },
  setDatasetGeoBounds({ commit: e }, a) {
    e("SET_DATASET_GEO_BOUNDS", a);
  },
  setLoading({ commit: e }, a) {
    e("SET_LOADING", a);
  },
  setMinScoring({ commit: e }, a) {
    e("SET_MIN_SCORING", a);
  },
  setDataScope({ commit: e }, a) {
    e("SET_DATA_SCOPE", a);
  },
  setAvailableFacets({ commit: e }, a) {
    e("SET_AVAILABLE_FACETS", a);
  },
  setScoringCount({ commit: e }, a) {
    e("SET_SCORING_COUNT", a);
  },
  setDatasetsCount({ commit: e }, a) {
    e("SET_DATASETS_COUNT", a);
  },
  setDatasets({ commit: e }, a) {
    e("SET_DATASETS", a);
  }
}, D = {
  SET_DATASETS(e, a) {
    e.datasets = a;
  },
  ADD_DATASETS(e, a) {
    e.datasets = e.datasets.concat(a);
  },
  SET_LIMIT(e, a) {
    e.searchParameters.limit = a;
  },
  SET_OFFSET(e, a) {
    e.searchParameters.offset = a;
  },
  SET_FACETS(e, a) {
    e.searchParameters.facets = { ...a };
  },
  ADD_FACET(e, { field: a, facet: t }) {
    Object.prototype.hasOwnProperty.call(e.searchParameters.facets, a) ? e.searchParameters.facets[a].push(t) : e.searchParameters.facets[a] = [t];
  },
  REMOVE_FACET(e, { field: a, facet: t }) {
    const c = e.searchParameters.facets[a].indexOf(t);
    e.searchParameters.facets[a].splice(c, 1);
  },
  SET_DATASET_GEO_BOUNDS(e, a) {
    e.searchParameters.datasetGeoBounds = a;
  },
  SET_AVAILABLE_FACETS(e, a) {
    e.availableFacets = a;
  },
  SET_SCORING_COUNT(e, a) {
    e.scoringFacets.forEach((t) => {
      t.count = a[t.id];
    });
  },
  SET_DATASETS_COUNT(e, a) {
    e.datasetsCount = a;
  },
  SET_FACET_OPERATOR(e, a) {
    e.searchParameters.facetOperator = a;
  },
  SET_FACET_GROUP_OPERATOR(e, a) {
    e.searchParameters.facetGroupOperator = a;
  },
  SET_DATA_SERVICES(e, a) {
    e.searchParameters.dataServices = a;
  },
  SET_SUPER_CATALOGUE(e, a) {
    e.searchParameters.superCatalogue = a;
  },
  SET_PAGE(e, a) {
    e.page = a;
  },
  SET_PAGE_COUNT(e, a) {
    e.pageCount = a;
  },
  SET_QUERY(e, a) {
    e.searchParameters.query = a;
  },
  SET_SORT(e, a) {
    e.searchParameters.sort = a;
  },
  SET_LOADING(e, a) {
    e.loading = a;
  },
  SET_MIN_SCORING(e, a) {
    e.minScoring = a;
  },
  SET_DATA_SCOPE(e, a) {
    e.dataScope = a;
  }
}, m = {
  namespaced: !0,
  state: C,
  actions: n,
  mutations: D,
  getters: r
};
export {
  m as default
};
//# sourceMappingURL=datasetsStore.mjs.map
