import { resolveComponent as s, openBlock as o, createElementBlock as d, withModifiers as u, renderSlot as l, createBlock as f, withCtx as h } from "vue";
import c from "../_virtual/_plugin-vue_export-helper.mjs";
const m = {
  props: {
    to: {
      default: "",
      required: !1
    },
    path: {
      default: "",
      required: !1
    },
    query: {
      default: "",
      required: !1
    },
    fragment: {
      default: "",
      required: !1
    },
    type: {
      default: null,
      required: !1
    },
    target: {
      default: "_self",
      required: !1
    },
    exact: {
      default: !1,
      required: !1
    },
    rel: {
      default: "noopener",
      required: !1
    },
    download: {
      default: null,
      required: !1
    },
    // Use this if you want to track a link explicitly as download instead of an external link.
    matomoTrackDownload: [Boolean, Object],
    // Use this to manually report clicked links to Matomo
    // Useful for URL destinations, that are on the same domain but not inside this application, so that Matomo is unable to track page views (e.g. RSS feed).
    matomoTrackPageView: [Boolean, Object]
  },
  computed: {
    readPath: {
      get() {
        return this.path && typeof this.path == "string" ? this.path : "";
      }
    },
    readQuery: {
      get() {
        return this.query ? typeof this.query == "object" ? `?${Object.keys(this.query).map((r) => `${r}=${this.query[r]}`).join("&")}` : typeof this.query == "string" && /^\?([a-zA-Z]+[=].*)([&][a-zA-Z]+[=].*)*$/.test(this.query) ? this.query : "" : "";
      }
    },
    readFragment: {
      get() {
        return this.fragment && typeof this.fragment == "string" ? `${this.fragment}` : "";
      }
    },
    isExternal: {
      get() {
        return typeof this.to != "object" && (/^(http(s)?|ftp|mailto|tel):/.test(this.to) || /^\//.test(this.readPath) || /^\?/.test(this.readQuery) || /^#/.test(this.readFragment));
      }
    },
    url: {
      get() {
        return `${this.to}${this.readPath}${this.readQuery}${this.readFragment}`;
      }
    }
  },
  methods: {
    trackLink() {
      if (this.matomoTrackPageView) {
        this.$piwik.trackPageView(`${window.location.origin}${this.path}`, "", {});
        return;
      }
      this.isExternal && this.to !== "" && (this.matomoTrackDownload ? this.$piwik.trackDownload(
        this.url,
        typeof this.matomoTrackDownload == "object" ? this.matomoTrackDownload : void 0
      ) : this.$piwik.trackOutlink(
        this.url,
        typeof this.matomoTrackPageView == "object" ? this.matomoTrackPageView : void 0
      ), this.$emit("after-click"));
    }
  }
}, k = ["download", "href", "rel", "target", "type"];
function g(r, a, t, y, w, e) {
  const n = s("router-link");
  return e.isExternal ? (o(), d("a", {
    key: 0,
    onClick: a[0] || (a[0] = (...i) => e.trackLink && e.trackLink(...i)),
    onMousedown: a[1] || (a[1] = u((...i) => e.trackLink && e.trackLink(...i), ["middle"])),
    download: t.download,
    href: e.url,
    rel: t.rel,
    target: t.target,
    type: t.type
  }, [
    l(r.$slots, "default")
  ], 40, k)) : (o(), f(n, {
    key: 1,
    to: t.to,
    rel: t.rel,
    exact: t.exact
  }, {
    default: h(() => [
      l(r.$slots, "default")
    ]),
    _: 3
  }, 8, ["to", "rel", "exact"]));
}
const x = /* @__PURE__ */ c(m, [["render", g]]);
export {
  x as default
};
//# sourceMappingURL=AppLink.vue.mjs.map
